<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Überschriften und Fließtext | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Überschriften und Fließtext | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Überschriften und Fließtext
  </p>

  <h2 id="inhalt">Überschriften und Fließtext</h2>
  <div class="spalten">
  <p>Überschriften werden in HTML durch die Elemente <code>h1</code> bis <code>h6</code> gekennzeichnet, wobei die Wichtigkeit absteigend ist. Die Überschrift erster Ordnung <code>h1</code> ist also die wichtigste und sollte auf jeder Seite nur einmal vorkommen. In der Webseiten-Vorlage ist die Überschrift <code>h1</code> für alle Seiten gleich und wird im PHP-Include-Element <Code>/x-includes/kopf.inc</code> festgelegt.</p>
  <p>Die Überschrift zweiter Ordnung <code>h2</code> ist die Hauptüberschrift der jeweiligen Seite und beschreibt deren Inhalt. Die Überschriften geringerer Ordnung ab <code>h3</code> sollten, wenn verwendet, lückenlos absteigend vergeben werden und können je mehrfach vorkommen. Bevor eine Seite so viel Inhalt hat, daß sechs Überschriften-Ebenen notwendig werden, teilt man den Inhalt besser auf mehrere Seiten auf. Für die Suchmaschine Google<b>™</b> sind auch nur die Überschriften erster bis dritter Ordnung (<code>h1</code>, <code>h2</code> und <code>h3</code>) wichtig.</p>
  <p>Für die Anzeige von Fließtext gibt es in HTML das Element <code>p</code> (Absatz). Überschriften und Absätze sind Block-Elemente. Das heißt, sie erzeugen einen Umbruch, sind also untereinander angeordnet.</p>
  </div>

  <h3 id="a1">Beispiel-Überschrift 3. Ordnung (Element <code>h3</code>)</h3>
  <p>Die Anzeigeeigenschaften für Überschriften und Absätze (Schriftart, Schriftgröße, Schriftstil, Ausrichtung und Farbe) sind durch Regeln in der CSS-Stylesheet-Datei <code>regeln.css</code> festgelegt.</p>
  <p>Mit dem Attribut <code>id="..."</code> wird eine Sprungmarke festgelegt. Wenn Sie auf einer Seite eine <a href="./0604-navigations-liste.php">Navigations-Linkliste</a> verwenden, dienen die Attribute <code>id="..."</code> bei den Elementen <code>h3</code> als Sprungmarken.</p>
  <p class="balken"><strong>HTML-Quelltext (ohne Spalten, nur Auszug):</strong></p>
  <pre>
&lt;h2 id="inhalt"&gt;Überschriften und Fließtext&lt;/h2&gt;
&lt;p&gt;Überschriften werden in HTML durch die Elemente ...&lt;/p&gt;

&lt;h3 id="a1"&gt;Beispiel-Überschrift 3. Ordnung (Element h3)&lt;/h3&gt;
&lt;p&gt;Die Anzeigeeigenschaften für Überschriften und ...&lt;/p&gt;</pre>

  <h3 id="a2" style="margin-top:1.6em;">Überschriften (Elemente <code>h2</code> und <code>h3</code>): zusätzliche Klassen</h3>
  <p>Für die Elemente <code>h2</code> und <code>h3</code> können Sie bei Bedarf folgende (in der CSS-Datei <code>regeln.css</code> festgelegte) zusätzliche Klassen verwenden:</p>
  <p><code>&lt;h2 class="mittig"&gt;...&lt;/h2&gt;</code> : richtet die Überschrift mittig aus</p>
  <p><code>&lt;h3 class="mittig"&gt;...&lt;/h3&gt;</code> : richtet die Überschrift mittig aus</p>

  <h3 id="a3" style="margin-top:1.2em;">Absatz (Element <code>p</code>): zusätzliche Klassen</h3>
  <p>Für das Element <code>p</code> können Sie bei Bedarf folgende (in der CSS-Datei <code>regeln.css</code> festgelegte) zusätzliche Klassen verwenden:</p>
  <p><code>&lt;p class="mittig"&gt;...&lt;/p&gt;</code> : richtet den Absatz mittig aus</p>
  <p><code>&lt;p class="klein"&gt;...&lt;/p&gt;</code> : zeigt den Absatz in kleinerer Schrift an</p>
  <p><code>&lt;p class="randoben"&gt;...&lt;/p&gt;</code> : zeigt für den Absatz einen oberen Rand an</p>
  <p><code>&lt;p class="balken"&gt;...&lt;/p&gt;</code> : zeigt den Absatz mit farbigem Hintergrund an (für Zwischenüberschriften geeignet, siehe oben <b class="blau">HTML-Quelltext ...</b>)</p>
  <p>Sie können auch mehrere Klassen kombinieren: Beispiel:<br>
  <code>&lt;p class="mittig klein"&gt;...&lt;/p&gt;</code></p>

  <p class="fett"><br>Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0301-text-links-bild-rechts.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>