<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Textumfluß links, Bild rechts | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Textumfluß links, Bild rechts | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Textumfluß links, Bild rechts
  </p>

  <h2 id="inhalt">Textumfluß links, Bild rechts angeordnet</h2>
  <div class="spalten">
  <p>Mit der Zuweisung der CSS-Eigenschaft <code>float: right;</code> für ein HTML-Element mit eingebundenem Bild wird festgelegt, daß ein im Quelltext folgender Text-Absatz das Bild links umfließt. Die Anzeigeeigenschaften sind durch Regeln in der CSS-Datei <code>regeln.css</code> festgelegt: Für das Bild mit Textumfluß habe ich die CSS-Klasse <code>bildrechts200</code> definiert.</p>
  </div>

  <h3 id="a1">Beispieltext und Beispielbild</h3>
  <div class="bildrechts200">
    <img src="./bilder/rhodos-akropolis.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel">
  </div>
  <p>Rhodos liegt am südöstlichen Rand des Ägäischen Meeres und gehört geografisch zur Inselgruppe der Südlichen Sporaden. Mit 1400 km&sup2; Fläche ist Rhodos nach Kreta, Euböa und Lesbos die viertgrößte griechische Insel. Die Küstenlinie mißt 222 km Länge. Rhodos ist 77 km lang und 35 km breit und hat die Form eines Delfins, der nach Nordosten in Richtung türkische Küste schwimmt. Die geringste Entfernung von Rhodos zur türkischen Küste beträgt knapp 10 Seemeilen. Mit den Koordinaten 36° Nord und 28° Ost liegt Rhodos etwa auf der gleichen Breite wie Tokio und auf der gleichen Länge wie Johannesburg. Während der nördliche und der südliche Teil sowie die Küsten von Rhodos überwiegend flach sind, ist das Innere der Insel von den Gebirgen Ataviros und Profitis Ilias geprägt ... Das Bild zeigt den Apollo-Tempel auf der Akropolis der Stadt Rhodos.</p>

  <p class="balken clear"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;div class="bildrechts200"&gt;
  &lt;img src="..." alt="..."&gt;
&lt;/div&gt;
&lt;p&gt;Rhodos liegt am ...&lt;/p&gt;
  </pre>
  <p class="balken" style="margin-top:-.4em;"><strong>CSS-Quelltext:</strong></p>
  <pre>
.bildrechts200 {float:right; ...}
.bildrechts200 img {width:200px; height:150px; ...}</pre>

  <h3 id="a2" style="margin-top:1.7em;">Soll ein größeres Bild angezeigt werden?</h3>
  <p>Falls Sie ein größeres Bild anzeigen wollen, zB in der Auflösung 240 Pixel * 180 Pixel, erstellen und verwenden Sie eine entsprechende CSS-Klasse (in diesem Fall also <code>bildrechts240</code>).</p>

  <p class="fett"><br>Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0200-ueberschriften-fliesstext.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0302-text-rechts-bild-links.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>