<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Textumfluß rechts, Bild links | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Textumfluß rechts, Bild links | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Textumfluß rechts, Bild links
  </p>

  <h2 id="inhalt">Textumfluß rechts, Bild links angeordnet</h2>
  <div class="spalten">
  <p>Mit der Zuweisung der CSS-Eigenschaft <code>float: left;</code> für ein HTML-Element mit eingebundenem Bild wird festgelegt, daß ein im Quelltext folgender Text-Absatz das Bild rechts umfließt. Die Anzeigeeigenschaften sind durch Regeln in der CSS-Datei <code>regeln.css</code> festgelegt: Für das Bild mit Textumfluß habe ich die CSS-Klasse <code>bildlinks200</code> definiert.</p>
  </div>

  <h3 id="a1">Beispieltext und Beispielbild</h3>
  <div class="bildlinks200">
    <img src="./bilder/lovran-abends.jpg" alt="Lovran: der Kirchenplatz am Abend">
  </div>
  <p>Lovran liegt an der Ostküste der kroatischen Halbinsel Istrien südlich von Opatija. Lovran ist der südliche Endpunkt der insgesamt zwölf Kilometer langen Uferpromenade <q lang="hr">Obalno Šetalište Franza Josefa I</q>, die über Opatija (etwa neun Kilometer entfernt) bis nach Volosko im Norden führt. Die verwinkelte mediterrane Altstadt mit den schmalen Gassen, die lange Uferpromenade entlang der Opatija Riviera und der Blick auf die gegenüber liegende Insel Cres begeistern mich immer auf's Neue. Berühmtester Sohn Lovrans ist Vicko Palmic als Mitglied der österreichisch-ungarischen Nordpolexpedition Weyprecht-Payer 1872-1874, der <q>zum weltweiten Ruhm der Verlässlichkeit, Beherztheit und Unerschrockenheit kroatischer Matrosen</q> beigetragen hat (Inschrift der Gedenktafel an seinem Geburtshaus in der Altstadt). - Das Bild zeigt den Lovraner Kirchenplatz in abendlicher Stimmung.</p>

  <p class="balken clear"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;div class="bildlinks200"&gt;
  &lt;img src="..." alt="..."&gt;
&lt;/div&gt;
&lt;p&gt;Lovran liegt an der Ostküste ...&lt;/p&gt;
  </pre>
  <p class="balken" style="margin-top:-.4em;"><strong>CSS-Quelltext:</strong></p>
  <pre>
.bildlinks200 {float:left; ...}
.bildlinks200 img {width:200px; height:150px; ...}</pre>

  <h3 id="a2" style="margin-top:1.7em;">Soll ein größeres Bild angezeigt werden?</h3>
  <p>Falls Sie ein größeres Bild anzeigen wollen, zB in der Auflösung 240 Pixel * 180 Pixel, erstellen und verwenden Sie eine entsprechende CSS-Klasse (in diesem Fall also <code>bildlinks240</code>).</p>

  <p class="fett"><br>Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0301-text-links-bild-rechts.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0303-vorformatierter-text.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>