<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Vorformatierten Text ausgeben | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Vorformatierten Text ausgeben | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Vorformatierten Text ausgeben
  </p>

  <h2 id="inhalt">Vorformatierte Textblöcke ausgeben</h2>
  <div class="spalten">
  <p>Vorformatierte Textblöcke werden am Besten mit dem HTML-Element <code>pre</code> ausgegeben. Hierfür verwenden die Browser eine Schriftart wie zB <span class="kursiv" lang="en">monospace</span>, die alle Zeichen einschließlich Leerzeichen jeweils gleich breit anzeigt. Mit dem Element <code>pre</code> ausgezeichneter Text wird genauso angezeigt, wie im HTML-Quelltext vermerkt. Das gilt auch für Einrückungen am Zeilenanfang. Zeilenumbrüche mit dem Element <code>br</code> sind innerhalb der <code>pre</code>-Elemente nicht erforderlich. Im Text vorkommende HTML-Sonderzeichen wie etwa die größer- und kleiner-Zeichen müssen <q>maskiert</q> werden.</p>
  <p>Per CSS-Regel habe ich die Silbentrennung für <code>pre</code>-Elemente ausgeschaltet und als Textfarbe <code>#DF0066</code> (ein dunkles Weinrot) festgelegt. Wozu braucht man vorformatierten Text? Etwa, um Quellcode einer Auszeichnungs- oder Programmiersprache anzuzeigen. Ein anderer Verwendungszweck fällt mir gerade nicht ein.</p>
  </div>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;pre&gt;
  (hier steht vorformatierter Text)
&lt;/pre&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0302-text-rechts-bild-links.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0304-zitatblock.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>