<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Spaltensatz im Magazin-Stil | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Spaltensatz im Magazin-Stil | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Spaltensatz
  </p>

  <h2 id="inhalt">Spaltensatz im Magazin-Stil</h2>
  <div class="spalten">
  <p><strong>Spaltensatz</strong> wie in Magazinen und Zeitungen erleichtert das Lesen und schont die Augen, weil die Zeilenlänge auf die Hälfte verkürzt wird. Das gilt erst recht für die Lektüre am Bildschirm. Spaltensatz im CSS3-Mehrspalten-Layout ist für Absätze mit Fließtext und für Zwischenüberschriften gut geeignet. Mit einigen (browserspezifischen) Einschränkungen hinsichtlich der Darstellung können aber auch andere HTML-Elemente wie Bilder, Listen, kleine Tabellen und Zitatblöcke im Spaltensatz angeordnet werden.</p>
  <p>Ein Spaltenumbruch erfolgt für Fließtext-Absätze (Elemente <code>p</code>), Listen (Elemente <code>ul</code>) und vorformatierte Textblöcke (Elemente <code>pre</code>), nicht jedoch für Tabellen und Bilder. Es wird also vermieden, daß eine Hälfte Ihres Bildes in der linken Spalte unten, und die andere Bildhälfte in der rechten Spalte oben angezeigt wird ;-)</p>
  <h3>Spaltensatz: so funktioniert's ...</h3>
  <p>Weisen Sie dem gewünschten <code>div</code>-Abschnitt die CSS-Klasse <code>spalten</code> zu. Hier nehmen Sie dann die von Ihnen gewünschten Elemente auf:</p>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;div class="spalten"&gt;
  &lt;p&gt;...&lt;/p&gt;
  &lt;h3&gt;...&lt;/h3&gt;
  &lt;ul&gt;...&lt;/ul&gt;
  &lt;table&gt;...&lt;/table&gt;
  &lt;blockquote&gt;...&lt;/blockquote&gt;
&lt;/div&gt;
  </pre>
  <p class="balken"><strong>CSS-Quelltext:</strong></p>
  <pre>
#article div.spalten {...}
  </pre>
  <p>Die spaltenweise Anzeige funktioniert nur bei erreichter Mindestbreite (hier von mir festgelegt: <code>column-width: 18.6em;</code>) im Browser-Fenster. Wenn Sie eine andere Schrift oder andere Schriftgröße verwenden, muß die Mindestbreite  ggf. angepaßt werden.</p>
  <p>Auf schmalen Endgeräten wie zB <q lang="en">Smartphones</q> werden alle enthaltenen Elemente in einer Spalte untereinander angezeigt.</p>
  <h3>Hinweise zum Spaltensatz</h3>
  <ul>
    <li>Vermeiden Sie, daß Ihr Besucher ewig scrollen muß, um von der linken Spalte unten zur rechten Spalte oben zu gelangen. Der Spaltensatz eignet sich deswegen eher für kürzere Artikel.</li>
    <li>Abhilfe: Natürlich können Sie auf einer Seite zwei oder mehr Spaltensatz-Artikel <i>untereinander</i> platzieren (wie zB weiter unten den Abschnitt <q>Weitere Elemente</q>).</li>
    <li>Schönheitsfehler: Die Zeilengrundlinie zweier Spalten befindet sich nicht immer auf gleicher Höhe (oder typografisch formuliert: der Text ist nicht <q>registerhaltig</q>), vor allem, wenn Bilder eingefügt werden. Am Bildschirm stört das aber weniger als auf Papier.</li>
    <li>Großformatige Bilder in hoher Auflösung sind für den Spaltensatz nicht geeignet.</li>
  </ul>
  </div>

  <h2 style="margin-top:1.1em;">Weitere Elemente im Spaltensatz</h2>
  <div class="spalten">
  <p>Auch Elemente wie Tabellen und kleine Bilder können im Spaltensatz verwendet werden. Die Anzeige-Fehler (Umbruch der Tabelle, fehlerhaft positionierter Tabellenkopf bei <q>sticky</q>) in Chromium-basierten Browsern zumindest bis Version 104 sollte man im Hinterkopf behalten. Der Firefox macht's besser.</p>
  <h3>(Beispiel-Tabelle:) Web-Techniken</h3>
  <p>Es gibt weitere Web-Techniken, die Tabelle erhebt keinen Anspruch auf Vollständigkeit.</p>
  <table class="tab4">
  <colgroup><col style="width:180px;"><col style="width:620px;"></colgroup>
  <thead>
    <tr>
      <th class="gitter"><span class="fett">Technik</span></th>
      <th class="gitter"><span class="fett">Zweck</span></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td class="gitter">HTML</td>
      <td class="gitter">Auszeichnungssprache für Webseiten-Inhalte</td>
    </tr>
    <tr>
      <td class="gitter">CSS</td>
      <td class="gitter">Auszeichnungssprache für Webseiten-Darstellung</td>
    </tr>
    <tr>
      <td class="gitter">Javascript</td>
      <td class="gitter">client-seitige Scriptsprache</td>
    </tr>
    <tr>
      <td class="gitter">PHP</td>
      <td class="gitter">server-seitige Scriptsprache</td>
    </tr>
  </tbody>
  </table>
  <h3>(Beispieltext / -bild:) Pula, Kroatien</h3>
  <div class="bildrechts200">
    <img src="./bilder/pula-altstadt.jpg" alt="Restaurant in Pula, Kroatien">
  </div>
  <p>Pula, von den Illyrern als Stadt gegründet, wurde im Jahr 42 v.u.Z. römische Kolonie. In Pula wimmelt es von Bauten aus der römischen Zeit: Amphitheater, Herkulestor, Triumphbogen der Sergier, Zwillingstor, Augustus-Tempel ... Das abgebildete Restaurant in der Altstadt stammt aber nicht aus der Römerzeit.</p>
  <h3 class="clear">(Beispiel-Zitatblock:) alte Weisheit</h3>
  <blockquote>
    Einfachheit ist die höchste Form der Perfektion
    <p>- Leonardo da Vinci -</p>
  </blockquote>
  </div>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0304-zitatblock.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0500-ausgehende-links.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>