<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Ausgehende Links setzen | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Ausgehende Links setzen: Textlinks, Bildlinks | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Ausgehende Links setzen
  </p>

  <h2 id="inhalt">Ausgehende Links setzen: Textlinks, Bildlinks</h2>
  <p>Hier beschreibe ich, wie Sie ausgehende Textlinks und Bildlinks setzen, und was dabei zu beachten ist.</p>
           
  <h3 id="a1">Ausgehende Links setzen: Textlinks</h3>
  <p>Ausgehende Links werden mit dem <span lang="en">Inline</span>-Element <code>a</code> erstellt. Die Grundform für einen ausgehenden Textlink ist <code>&lt;a href="https://example.com/"&gt;Beispielseite&lt;/a&gt;</code>. Einziges <q>Pflichtattribut</q> ist das Attribut <code>href</code> für die Adresse der Ziel-Webseite, denn ohne diese Angabe würde der Link nicht funktionieren. Zwischen Anfangs- und Ende-<code>tag</code> des Elements <code>a</code> wird der im Browser dann sichtbare Linktext eingetragen.</p>
  <p>Wie alle HTML-Elemente kann auch das Element <code>a</code> mit zusätzlichen Attributen erweitert werden. Ich selbst verwende ausgehende Textlinks oft mit folgenden Attributen (die Reihenfolge ist egal, und Sie können auch alles in eine Zeile schreiben):</p>
  <pre>
&lt;a class="extern" title="Link zu example.com"
  target="_blank" href="https://example.com/"
  rel="noopener noreferrer"&gt;Beispielseite
&lt;/a&gt;</pre>
  <p>Es ist ratsam, für den vollständigen Linkcode mitsamt aller Attribute einen Textbaustein oder ein Makro anzulegen. Damit ersparen Sie sich jedes Mal, den ganzen Rattenschwanz erneut einzutippen.</p>

  <h3 id="a2">Ausgehende Links setzen: Bildlinks</h3>
  <p>Bildlinks unterscheiden sich von Textlinks dadurch, daß anstelle des Linktextes ein linksensitives Bild angezeigt wird: Wenn der Besucher auf dieses Bild klickt, wird die verlinkte Zielseite geöffnet. Die Grundform für einen ausgehenden Bildlink ist <code>&lt;a href="https://example.com/"&gt;&lt;img src="bilddatei.jpg"&gt;&lt;/a&gt;</code>. Einziges <q>Pflichtattribut</q> ist auch hier das Attribut <code>href</code> für die Adresse der Ziel-Webseite, denn ohne diese Angabe würde der Link nicht funktionieren. Zwischen Anfangs- und Ende-<code>tag</code> des Elements <code>a</code> wird im <code>src</code>-Attribut des <code>img</code>-Elements die Bildquelle eingetragen. Im <code>alt</code>-Attribut des <code>img</code>-Elements können Sie eine alternative Bildbeschreibung in Worten hinterlegen.</p>
  <p>Wenn ich ausgehende Bildlinks setze, dann mit folgenden Attributen (deren Reihenfolge ist egal, und Sie können auch alles in eine Zeile schreiben):</p>
  <pre>
&lt;a title="Link zu example.com"
  target="_blank" href="https://example.com/"
  rel="noopener noreferrer"&gt;
  &lt;img src="bilddatei.jpg" alt="Bildbeschreibung"&gt;
&lt;/a&gt;</pre>

  <h3 id="a3" style="margin-top:1.8em;">Erläuterung der verwendeten Attribute</h3>
  <ol type="a">
    <li><code>class="extern"</code> (nur für Textlinks geeignet): Die Klasse <code>extern</code> zeigt als attribut-bedingte CSS-Zuweisung im Browser hinter dem Link <q>automatisch</q> ein blaues Symbol (kleines Quadrat mit Pfeil nach rechts oben) an.</li>
    <li><code>title="Link zu ..."</code>: Das Attribut <code>title="..."</code> zeigt im Browser beim Übermausen den Titel-Inhalt an (für Suchmaschinen ist die Angabe belanglos).</li>
    <li><code>target="_blank"</code>: Dieses Attribut veranlaßt den Browser, das Linkziel in einem neuen Tab zu öffnen. Die Angabe <code>target="_blank"</code> ist umstritten: Manche Leute behaupten, damit würden Besucher <q>bevormundet</q>. Ich verwende die Angabe aber, weil ich keinen Besucher von meinen eigenen Seiten verjage.</li>
    <li><code>href="https://example.com/"</code>: Im Attribut <code>href</code> wird die Adresse der Ziel-Webseite eingetragen (<q>Pflichtattribut</q>).</li>
    <li><code>rel="noopener noreferrer"</code>: Diese Werte des Attributs <code>rel</code> dienen dem Schutz der eigenen Webseite gegen Hacker. Näheres hat Mathias Bynens im Artikel <a class="extern" title="zum Artikel rel=noopener" href="https://mathiasbynens.github.io/rel-noopener/" target="_blank" rel="noopener noreferrer">About rel=noopener</a> beschrieben.</li>
    <li>Wenn Sie auf Ihren Seiten inhaltsfremde Gefälligkeitslinks, Werbelinks oder bezahlte Links setzen, empfehle ich dringend, den Inhalt des <code>rel</code>-Attributs um die Angabe <code>nofollow</code> zu ergänzen. Damit entwerten Sie den Link gegenüber Google und vermeiden eine Gefährdung Ihres <span lang="en">Rankings</span>: <code>rel="nofollow noopener noreferrer"</code></li>
  </ol>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0400-spaltensatz.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0601-ungeordnete-liste.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>