<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Ungeordnete Aufzählungsliste | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Ungeordnete Aufzählungsliste | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Ungeordnete Aufzählungsliste
  </p>

  <h2 id="inhalt">Ungeordnete (unsortierte) Aufzählungsliste</h2>
  <div class="spalten">
  <p>Mit Aufzählungslisten lassen sich mehrere (kurze) Informationen einheitlich gestaltet anzeigen. Sie sind also ein Mittel der Textstrukturierung. Allen Listeneinträgen wird ein Aufzählungszeichen vorangestellt. Es gibt ungeordnete (oder unsortierte) Listen und geordnete (oder sortierte) Listen. Wenn die Reihenfolge der einzelnen Listenelemente belanglos ist, kann man ungeordnete Listen verwenden. Für Listeneinträge in logischer Reihenfolge bieten sich geordnete Listen an. Aufzählungslisten können auch ineinander verschachtelt werden.</p>
  </div>
  <p>Für <strong>ungeordnete Aufzählungslisten</strong> gibt es das HTML-Element <code>ul</code>. Als Aufzählungszeichen vor den Listenelementen <code>li</code> wird standardmäßig ein kleiner gefüllter Kreis angezeigt, der aber je nach Browser leicht verschieden aussehen kann.</p>

  <p class="balken"><strong>Beispiel für eine ungeordnete Aufzählungsliste</strong></p>
  <p>Wer eine Website selbst erstellen will, braucht ...</p>
  <ul>
    <li>ein Thema, über das er schreiben, oder Bilder, die er zeigen, oder Erzeugnisse, die er darstellen will</li>
    <li>die Fähigkeit, sich schriftlich auszudrücken (das kann man üben)</li>
    <li>die Bereitschaft, sich Grundkenntnisse in Webtechniken wie zB HTML und CSS anzueignen (wenn man Kenntnisse schon hat: umso besser)</li>
    <li>für die Webtechniken: Referenzen und Anleitungen im Netz, in denen er nachschlagen und weiter informieren kann, zB das SelfHTML-Wiki</li>
    <li>Rechner und Bildschirm, Netzanschluß, (mindestens) einen Browser, einen UTF8-fähigen Editor, ein (einfaches) Bildverwaltungsprogramm und ein FTP-Programm</li>
    <li>eine Layout-Vorlage wie diese mit Beispielseiten als Hilfestellung und Kopiermuster (muß ja nicht jeder das Rad neu erfinden ;-)</li>
  </ul>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;ul&gt;
  &lt;li&gt;ein Thema, über ...&lt;/li&gt;
  &lt;li&gt;die Fähigkeit ...&lt;/li&gt;
  &lt;li&gt;die Bereitschaft ...&lt;/li&gt;
&lt;/ul&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0500-ausgehende-links.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0602-geordnete-liste.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav> <!-- /navig -->

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>