<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Geordnete Aufzählungsliste | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Geordnete Aufzählungsliste | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Geordnete Aufzählungsliste
  </p>

  <h2 id="inhalt">Geordnete (sortierte) Aufzählungsliste</h2>
  <div class="spalten">
  <p>Mit Aufzählungslisten lassen sich mehrere (kurze) Informationen einheitlich gestaltet anzeigen. Sie sind also ein Mittel der Textstrukturierung. Allen Listeneinträgen wird ein Aufzählungszeichen vorangestellt. Es gibt ungeordnete (oder unsortierte) Listen und geordnete (oder sortierte) Listen. Wenn die Reihenfolge der einzelnen Listenelemente belanglos ist, kann man ungeordnete Listen verwenden. Für Listeneinträge in logischer Reihenfolge bieten sich geordnete Listen an. Aufzählungslisten können auch ineinander verschachtelt werden.</p>
  </div>
  <p>Für <strong>geordnete Aufzählungslisten</strong> gibt es das HTML-Element <code>ol</code>. Die Aufzählungszeichen vor den Listenelementen <code>li</code> werden hinsichtlich Typ und Anfangswert über Attribute beim Element <code>ol</code> festgelegt.</p>

  <h3 id="a1">Liste mit Kleinbuchstaben als Aufzählungszeichen</h3>
  <p>Mit dem Attribut <code>type="a"</code> werden Kleinbuchstaben beginnend mit a als Aufzählungszeichen verwendet. Die Liste möglicher Werte entnehmen Sie bitte folgendem ...</p>
  <p class="balken"><strong>Beispiel 1 für eine geordnete Aufzählungsliste</strong></p>
  <ol type="a">
    <li>Attribut <code>type="a"</code>: als Aufzählungszeichen werden Kleinbuchstaben beginnend mit a verwendet. Das Attribut <code>start</code> ist hier funktionslos.</li>
    <li>Attribut <code>type="A"</code>: als Aufzählungszeichen werden Großbuchstaben beginnend mit A verwendet. Das Attribut <code>start</code> ist hier funktionslos.</li>
    <li>Attribut <code>type="1"</code>: als Aufzählungszeichen werden arabische Zahlen verwendet. Mit dem Attribut <code>start="1"</code> wird der Anfangswert bestimmt (üblicherweise 1).</li>
    <li>Attribut <code>type="I"</code>: als Aufzählungszeichen werden römische Zahlen verwendet. Mit dem Attribut <code>start="1"</code> wird der Anfangswert bestimmt (üblicherweise 1).</li>
  </ol>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;ol type="a"&gt;
  &lt;li&gt;Attribut ...&lt;/li&gt;
  &lt;li&gt;Attribut ...&lt;/li&gt;
&lt;/ol&gt;</pre>

  <h3 id="a2" style="margin-top:1.7em;">Liste mit arabischen Zahlen als Aufzählungszeichen</h3>
  <p>Mit dem Attribut <code>type="1"</code> werden arabische Zahlen als Aufzählungszeichen verwendet. Mit dem Attribut <code>start="1"</code> wird der Anfangswert bestimmt (üblicherweise 1).</p>
  <p class="balken"><strong>Beispiel 2 für eine geordnete Aufzählungsliste</strong></p>
  <p>So erstellen Sie mit dem Editor <b>SynWrite</b> ein neues Projekt (beachten Sie, daß der Projektname erst im <i>letzten</i> Schritt vergeben wird):</p>
  <ol type="1" start="1">
    <li>die Projekt-Ansicht in der linken Seitenleiste anzeigen über (Hauptmenü:) <q>Fenster -&gt; Fenster -&gt; Projektverwaltung</q></li>
    <li>über die Schaltfläche <q>Ordner hinzufügen</q> (am oberen Rand der Projekt-Ansicht) Inhalte aus dem Dateisystem für das Projekt auswählen</li>
    <li>über die Schaltfläche <q>Projekt anpassen</q> die Eigenschaften des Projekts festlegen (siehe Hilfedatei: <q>Dialogfenster -&gt; Projekt-Eigenschaften</q>)</li>
    <li>über die Schaltfläche <q>Projekt speichern</q> das neue Projekt speichern und dabei den Projektnamen festlegen nach dem Schema <code>[Projektname].synw-proj</code></li>
  </ol>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;ol type="1" start="1"&gt;
  &lt;li&gt;die Projekt-Ansicht ...&lt;/li&gt;
  &lt;li&gt;über die Schaltfläche ...&lt;/li&gt;
&lt;/ol&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0601-ungeordnete-liste.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0603-verschachtelte-liste.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav> <!-- /navig -->

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>