<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Verschachtelte Aufzählungsliste | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Verschachtelte Aufzählungsliste | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Verschachtelte Aufzählungsliste
  </p>

  <h2 id="inhalt">Verschachtelte Aufzählungsliste</h2>
  <div class="spalten">
  <p>Mit Aufzählungslisten lassen sich mehrere (kurze) Informationen einheitlich gestaltet anzeigen. Sie sind also ein Mittel der Textstrukturierung. Allen Listeneinträgen wird ein Aufzählungszeichen vorangestellt. Es gibt ungeordnete (oder unsortierte) Listen und geordnete (oder sortierte) Listen. Wenn die Reihenfolge der einzelnen Listenelemente belanglos ist, kann man ungeordnete Listen verwenden. Für Listeneinträge in logischer Reihenfolge bieten sich geordnete Listen an. Aufzählungslisten können auch ineinander verschachtelt werden.</p>
  </div>
  <p><b>Geordnete Aufzählungslisten können ineinander verschachtelt werden.</b> Dazu wird <i>innerhalb</i> eines Listenelements <code>li</code> eine <i>weitere</i> Liste mit dem Element <code>ol</code> angelegt. Leider kann mit dem <code>start</code>-Attribut der <q>inneren</q> Liste <b>kein</b> hierarchisch richtiger Startwert festgelegt werden, der die Nummer des übergeordneten Listenelements aufgreift.</p>
  <div class="spalten">
  <p>Dieser Fehler (<b>kein</b> hierarchisch richtiger Startwert für die <q>innere</q> Liste) läßt sich mit ein wenig Aufwand beheben: Meine CSS-Klasse <code>zaehler</code> für das HTML-Element <code>ol</code> schaltet die standardmäßigen Aufzählungszeichen aus, errechnet die hierarchisch richtigen Nummerierungswerte mit der CSS-Funktion <code>counter()</code> und zeigt sie als Pseudoelemente vor dem Inhalt des jeweiligen Listenelements an. Die Attribute <code>type</code> und <code>start</code> werden nicht benötigt. Für Sie als Nutzer reicht es aus, den beiden Listen <code>ol</code> die Klasse <code>zaehler</code> zuzuweisen.</p>
  <p>Zur besseren Übersicht zeige ich außerdem links neben den verschachtelten Listen jeweils eine gepunktete Linie an. Das kann bei längeren Listen für Besucher hilfreich sein.</p>
  </div>

  <p class="balken"><strong>Beispiel für zwei verschachtelte geordnete Aufzählungslisten</strong></p>
  <p>Bildverwaltungs-Programm <b>XnView</b>: Bilder speichern: Optionen für das JPG-Format:</p>
  <ol class="zaehler">
    <li>über <i>Datei -&gt; Speichern unter ...</i> den Dialog <q>Bild speichern</q> aufrufen</li>
    <li>im Dialog-Fenster <q>Bild speichern</q> ...
    <ol class="zaehler">
      <li>Verzeichnis (Speicherort) auswählen</li>
      <li>Dateinamen eintragen</li>
      <li>als Dateityp <code>JPG</code> auswählen</li>
      <li>auf die Schaltfläche <q>Optionen</q> klicken</li>
    </ol>
  </li>
  <li>unter <i>Optionen -&gt; Schreiben</i> ...
    <ol class="zaehler">
      <li><q>Progressiv</q> und / oder <q>Huffmann-Tabelle</q> einschalten</li>
      <li>gewünschte <q>Qualität</q> festlegen</li>
      <li>Haken entfernen im Kästchen vor <q>EXIF-Daten beibehalten</q></li>
      <li>Haken entfernen im Kästchen vor <q>Eingebettete Miniaturansicht ...</q></li>
    </ol>
  </li>
  <li>(geänderte) Bilddatei unter neuem Namen <i>Speichern</i></li>
  </ol>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;ol class="zaehler"&gt;
  &lt;li&gt;über Datei -&gt; Speichern ...&lt;/li&gt;
  &lt;li&gt;im Dialog-Fenster Bild speichern ...
    &lt;ol class="zaehler"&gt;
      &lt;li&gt;Verzeichnis (Speicherort) ...&lt;/li&gt;
      &lt;li&gt;Dateinamen eintragen&lt;/li&gt;
      &lt;li&gt;als Dateityp JPG auswählen&lt;/li&gt;
      &lt;li&gt;auf die Schaltfläche Optionen ...&lt;/li&gt;
    &lt;/ol&gt;
  &lt;/li&gt;
  &lt;li&gt;unter Optionen -> Schreiben ...
    &lt;ol class="zaehler"&gt;
      &lt;li&gt;Progressiv und / oder Huffmann ...&lt;/li&gt;
      &lt;li&gt;gewünschte Qualität festlegen&lt;/li&gt;
      &lt;li&gt;Haken entfernen im Kästchen ...&lt;/li&gt;
      &lt;li&gt;Haken entfernen im Kästchen ...&lt;/li&gt;
    &lt;/ol&gt;
  &lt;/li&gt;
  &lt;li&gt;(geänderte) Bilddatei unter neuem ...&lt;/li&gt;
&lt;/ol&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0602-geordnete-liste.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0604-navigations-liste.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav> <!-- /navig -->

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>