<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Zweispaltige Tabelle ohne Rand | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Zweispaltige Tabelle ohne Rand | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Zweispaltige Tabelle ohne Rand
  </p>

  <h2 id="inhalt">Zweispaltige Tabelle ohne Rand</h2>
  <div class="spalten">
  <p>Datentabellen: Zur übersichtlichen und einheitlichen Darstellung gleichförmiger Daten gibt es <strong>HTML-Tabellen</strong>. Sie sind also ein Mittel der Textstrukturierung. Tabellen können verschiedene Eigenschaften aufweisen: zwei-, drei- oder mehrspaltig, mit oder ohne Rand, einfarbig oder gestreift (Zebra-Tabelle), mobilgeräte-tauglich oder nicht, mit Medienabfragen (responsiv) oder ohne. Wichtig ist, daß Tabellen auch auf schmalen Sichtgeräten so angezeigt werden, daß der Besucher nicht waagerecht scrollen muß.</p>
  </div>
  <p>Die HTML-Tabelle (CSS-Klasse <code>tab1</code>) auf dieser Seite ist <b>zweispaltig ohne Rand, einfarbig, mobilgeräte-tauglich</b>, kommt aber ohne Medienabfrage und ohne besondere CSS-Regeln für schmale Sichtgeräte aus (ist also, wenn man es genau nimmt, nicht <q>responsiv</q>). Die Spaltenbreiten lege ich absichtlich <span class="gelb">über <span lang="en">Inline</span>-CSS-Regeln</span> fest; damit bin ich flexibler bei weiteren Tabellen dieser Art, aber anderer Spaltenaufteilung.</p>

  <p class="balken"><strong>Beispiel für diese Tabelle (CSS-Klasse <code>tab1</code>)</strong></p>
  <p><b>Badcafe Streitberg:</b> Adreßdaten, Bierpreis, Öffnungszeiten, Hinweise:</p>
  <table class="tab1"><colgroup><col style="width:150px;"><col style="width:650px;"></colgroup>
  <tr>
    <td>Anschrift:</td>
    <td>Badcafe Streitberg, Am Freibad 7, 91346 Wiesenttal</td>
  </tr>
  <tr>
    <td>Telefon:</td>
    <td>0160 / 3441000 (Mobil) oder 09196 / 298 (Freibad)</td>
  </tr>
  <tr>
    <td>Internet:</td>
    <td><a class="extern" href="http://www.badcafe-streitberg.de/" rel="noreferrer noopener nofollow" target="_blank" title="zur Badcafe-Website">www.badcafe-streitberg.de</a></td>
  </tr>
  <tr>
    <td>Bierpreis:</td>
    <td>ein Seidla (0,5 Liter) Helles (Greif-Bräu) oder Dunkles (Meisterbräu) kostet 2,50 &euro; (Radler: gleicher Preis)</td>
  </tr>
  <tr>
    <td>Öffnungszeiten:</td>
    <td>parallel zu den <a class="extern" href="https://www.familienschwimmbad.de/" rel="noreferrer noopener nofollow" target="_blank" title="zur Schwimmbad-Website">Freibad-Öffnungszeiten</a> (Mitte Mai bis Mitte Sept. täglich von 10-19 Uhr), aber bei Bedarf ist das Badcafe abends länger geöffnet</td>
  </tr>
  <tr>
    <td>Hinweise:</td>
    <td>Anfahrt: <i>Schwimmbad</i> und <i>Badcafe</i> sind in Streitberg an der B470 ausgeschildert (Abzweigung nach Niederfellendorf), Parkplätze vor dem Bad</td>
  </tr>
  <tr>
    <td>Lageplan:</td>
    <td><a class="extern" href="https://osm.org/go/0D77nvIn?m=" rel="noreferrer noopener" target="_blank" title="zur Openstreetmap-Karte">OSM-Karte</a> (Kartenmitte, siehe Pfeil-Markierung)</td>
  </tr>
  </table>

  <p class="balken"><strong>HTML-Quelltext (gekürzt):</strong></p>
  <pre>
&lt;table class="tab1"&gt;
&lt;colgroup&gt;&lt;col <span class="gelb">style="width:150px;"</span>&gt;
  &lt;col <span class="gelb">style="width:650px;"</span>&gt;&lt;/colgroup&gt;
  &lt;tr&gt;
    &lt;td&gt;Anschrift:&lt;/td&gt;
    &lt;td&gt;Badcafe Streitberg, Am Freibad 7 ...&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td&gt;Telefon:&lt;/td&gt;
    &lt;td&gt;0160 / 3441000 (Mobil) oder 09196 ...&lt;/td&gt;
  &lt;/tr&gt;
  ... usw. ...
&lt;/table&gt;</pre>

  <p class="fett"><br>Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0604-navigations-liste.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0702-dreispalt-tabelle-sticky.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
   <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>