<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Dreispaltige Tabelle, responsiv | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Dreispaltige Tabelle, responsiv | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Dreispaltige Tabelle, responsiv
  </p>

  <h2 id="inhalt">Dreispaltige Tabelle, responsiv</h2>
  <div class="spalten">
  <p>Datentabellen: Zur übersichtlichen und einheitlichen Darstellung gleichförmiger Daten gibt es <strong>HTML-Tabellen</strong>. Sie sind also ein Mittel der Textstrukturierung. Tabellen können verschiedene Eigenschaften aufweisen: zwei-, drei- oder mehrspaltig, mit oder ohne Rand, einfarbig oder gestreift (Zebra-Tabelle), mobilgeräte-tauglich oder nicht, mit Medienabfragen (responsiv) oder ohne. Wichtig ist, daß Tabellen auch auf schmalen Sichtgeräten so angezeigt werden, daß der Besucher nicht waagerecht scrollen muß.</p>
  </div>
  <p>Die HTML-Tabelle (CSS-Klasse <code>tab3</code>) auf dieser Seite ist <b>dreispaltig mit Rand, einfarbig, mobilgeräte-tauglich und responsiv</b> (also mit Medienabfrage): Bei einer Fensterbreite von 400px und kleiner werden die Tabellenzellen nicht nebeneinander, sondern <i>untereinander</i> angezeigt. Nachteil: die typische Tabellendarstellung ist im <q><span lang="en">Smartphone</span></q>-Portraitmodus nicht mehr erkennbar. Weiterer Nachteil: Dann beansprucht die Speisenkarten-Tabelle in der Höhe mehr Platz als die vorige Tabelle <code>tab2</code> mit gleichem Inhalt. Die letzte Tabellenreihe faßt die drei Spalten zusammen.</p>

  <p class="balken"><strong>Beispiel für diese Tabelle (CSS-Klasse <code>tab3</code>)</strong></p>
  <p>Nochmal die gleiche <b>Speisenkarte</b> des Gasthofs <q>Roter Ochse</q> in Ochsenfurt ;-)</p>
  <table class="tab3">
  <thead>
    <tr>
      <th><b>Nr.&nbsp;&nbsp;</b></th>
      <th><b>Gericht</b></th>
      <th class="zahl"><b>Preis</b></th>
    </tr>
  </thead>
  <tbody>
    <tr class="gitter">
      <td>1</td>
      <td>Ochsenschwanzsuppe mit Croutons</td>
      <td class="zahl">3,10</td>
    </tr>
    <tr class="gitter">
      <td>2</td>
      <td>Ochsenmaulsalat mit Zwiebelringen, Balsamico und Olivenöl</td>
      <td class="zahl">4,60</td>
    </tr>
    <tr class="gitter">
      <td>3</td>
      <td>Ochsenzunge gepökelt mit Sauerkraut und Bauernbrot</td>
      <td class="zahl">9,60</td>
    </tr>
    <tr class="gitter">
      <td>4</td>
      <td>Ochsenbäckchen in Rotweinsoße mit Baggers und gemischtem Salat</td>
      <td class="zahl">11,50</td>
    </tr>
    <tr class="gitter">
      <td>5</td>
      <td>Ochsenbraten vom Spieß mit rohen Klößen und Blaukraut</td>
      <td class="zahl">12,90</td>
    </tr>
    <tr class="gitter">
      <td>6</td>
      <td>Ochsenkotelett vom Grill mit Kräuterbutter, pommes frites und gemischtem Salat</td>
      <td class="zahl">20,70</td>
    </tr>
    <tr class="gitter">
      <td>7</td>
      <td>für Kinder, Senioren und andere Wenigesser: Kloß mit Soß'</td>
      <td class="zahl">2,40</td>
    </tr>
    <tr class="gitter">
      <td colspan="3">Alle Preise einschließlich Bedienung und Mehrwertsteuer, Preisangaben in Euro
      </td>
    </tr>
  </tbody>
  </table>

  <p class="balken"><strong>HTML-Quelltext (gekürzt):</strong></p>
  <pre>
&lt;table class="tab3"&gt;
&lt;thead&gt;
  &lt;tr&gt;
    &lt;th class="gitter"&gt;&lt;b&gt;Nr.&nbsp;&nbsp;&lt;/b&gt;&lt;/th&gt;
    &lt;th class="gitter"&gt;&lt;b&gt;Gericht&lt;/b&gt;&lt;/th&gt;
    &lt;th class="gitter zahl"&gt;&lt;b&gt;Preis&lt;/b&gt;&lt;/th&gt;
  &lt;/tr&gt;
&lt;/thead&gt;
&lt;tbody&gt;
  &lt;tr&gt;
    &lt;td class="gitter"&gt;1&lt;/td&gt;
    &lt;td class="gitter"&gt;Ochsenschwanzsuppe mit Croutons&lt;/td&gt;
    &lt;td class="gitter zahl"&gt;3,10&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="gitter"&gt;2&lt;/td&gt;
    &lt;td class="gitter"&gt;Ochsenmaulsalat mit Zwiebel...&lt;/td&gt;
    &lt;td class="gitter zahl"&gt;4,60&lt;/td&gt;
  &lt;/tr&gt;
  ... usw. ...
  &lt;tr&gt;
    &lt;td class="gitter"&gt;7&lt;/td&gt;
    &lt;td class="gitter"&gt;für Kinder, Senioren und ...&lt;/td&gt;
    &lt;td class="gitter zahl"&gt;2,40&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="gitter" colspan="3"&gt;Alle Preise ein...&lt;/td&gt;
  &lt;/tr&gt;
&lt;/tbody&gt;
&lt;/table&gt;</pre>

  <p class="fett"><br>Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0702-dreispalt-tabelle-sticky.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0704-zebra-tabelle-sticky.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
   <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>