<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Zweispaltige Zebra-Tabelle, Kopf sticky | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Zweispaltige Zebra-Tabelle, Kopf sticky | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Zweispaltige Zebra-Tabelle
  </p>

  <h2 id="inhalt">Zweispaltige Zebra-Tabelle, Kopf <q>sticky</q></h2>
  <div class="spalten">
  <p>Datentabellen: Zur übersichtlichen und einheitlichen Darstellung gleichförmiger Daten gibt es <strong>HTML-Tabellen</strong>. Sie sind also ein Mittel der Textstrukturierung. Tabellen können verschiedene Eigenschaften aufweisen: zwei-, drei- oder mehrspaltig, mit oder ohne Rand, einfarbig oder gestreift (Zebra-Tabelle), mobilgeräte-tauglich oder nicht, mit Medienabfragen (responsiv) oder ohne. Wichtig ist, daß Tabellen auch auf schmalen Sichtgeräten so angezeigt werden, daß der Besucher nicht waagerecht scrollen muß.</p>
  </div>
  <p>Als <q class="fett">Zebra-Tabelle</q> wird landläufig eine Tabelle bezeichnet, deren Reihen abwechselnd verschiedene Hintergrundfarben haben. Das sieht nicht nur schön aus, sondern ist übersichtlicher und macht den Text leichter lesbar. Diese <b>zweispaltige Tabelle mit Rand</b> (CSS-Klasse <code>tab4</code>) wird auch auf schmalen Endgeräten ansehnlich dargestellt, ist also <b>mobilgeräte-tauglich</b> (obwohl sie ohne Medienabfrage auskommt). Der <b>Tabellenkopf ist <q lang=en>sticky</q></b>. Die Spaltenbreiten lege ich absichtlich <span class="gelb">über <span lang="en">Inline</span>-CSS-Regeln</span> fest; damit bin ich flexibler bei weiteren Tabellen dieser Art, aber anderer Spaltenaufteilung.</p>

  <p class="balken"><strong>Beispiel für diese Tabelle (CSS-Klasse <code>tab4</code>)</strong></p>
  <p>In dieser Tabelle sind einige Musik-Interpreten und -Gruppen mit ihren bekanntesten Titeln aufgeführt (ohne Anspruch auf Vollständigkeit):</p>
  <table class="tab4">
  <colgroup><col style="width:300px;"><col style="width:500px;"></colgroup>
  <thead>
    <tr>
      <th class="gitter"><b>Interpret, Gruppe</b></th>
      <th class="gitter"><b>Titel</b></th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td class="gitter">Claudia Jung</td>
      <td class="gitter">Komm und tanz ein letztes Mal mit mir</td>
    </tr>
    <tr>
      <td class="gitter">Ute Freudenberg</td>
      <td class="gitter">Auf den Dächern von Berlin</td>
    </tr>
    <tr>
      <td class="gitter">Die Puhdys</td>
      <td class="gitter">Alt wie ein Baum</td>
    </tr>
    <tr>
      <td class="gitter">Aalbachtal-Expreß</td>
      <td class="gitter">Gruß an Kiel</td>
    </tr>
    <tr>
      <td class="gitter">Tomislav Ivčić</td>
      <td class="gitter">Večeras je naša fešta</td>
    </tr>
    <tr>
      <td class="gitter">Milo Hrnić</td>
      <td class="gitter">Kome bi šumilo more moje sinje</td>
    </tr>
    <tr>
      <td class="gitter">Jasna Zlokić</td>
      <td class="gitter">Skitnica</td>
    </tr>
    <tr>
      <td class="gitter">Hrvatski Band Aid</td>
      <td class="gitter">Moja Domovina</td>
    </tr>
  </tbody>
  </table>

  <p class="balken"><strong>HTML-Quelltext (gekürzt):</strong></p>
  <pre>
&lt;table class="tab4"&gt;
&lt;colgroup>&lt;col <span class="gelb">style="width:300px;"</span>&gt;
  &lt;col <span class="gelb">style="width:500px;"</span>&gt;&lt;/colgroup&gt;
&lt;thead&gt;
  &lt;tr&gt;
    &lt;th class="gitter"&gt;&lt;b&gt;Interpret, Gruppe&lt;/b&gt;&lt;/th&gt;
    &lt;th class="gitter"&gt;&lt;b&gt;Titel&lt;/b&gt;&lt;/th&gt;
  &lt;/tr&gt;
&lt;/thead&gt;
&lt;tbody&gt;
  &lt;tr&gt;
    &lt;td class="gitter"&gt;Claudia Jung&lt;/td&gt;
    &lt;td class="gitter"&gt;Komm und tanz ein letztes ...&lt;/td&gt;
  &lt;/tr&gt;
  &lt;tr&gt;
    &lt;td class="gitter"&gt;Ute Freudenberg&lt;/td&gt;
    &lt;td class="gitter"&gt;Auf den Dächern von Berlin&lt;/td&gt;
  &lt;/tr&gt;
  ... usw. ...
&lt;/tbody&gt;
&lt;/table&gt;
  </pre>

  <p>Auch die große Tabelle auf der Seite <a class="extern" title="zur Seite Merkmale" href="https://webseiten-vorlage.seopunkt.de/merkmale-uebersicht.php" target="_blank" rel="noopener noreferrer">Merkmale</a> meiner Vorlagen-Website ist mit dieser Tabelle der CSS-Klasse <code>tab4</code> erstellt, wobei die Kategorien A. bis F. jeweils eigene Elemente <code>thead</code> und <code>tbody</code> haben.</p>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0703-dreispalt-tabelle-respons.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0800-akkordeon.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
   <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>