<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Akkordeon: auf- und zuklappbare Bereiche | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Akkordeon: auf- und zuklappbare Bereiche | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Akkordeon
  </p>

  <h2 id="inhalt">Akkordeon: auf- und zuklappbare Bereiche</h2>
  <div class="spalten">
  <p>Groß in Mode gekommen sind auf- und zuklappbare Bereiche, auch <strong><q>Akkordeon</q></strong> genannt. Vorteil: lange Webseiten mit viel Inhalt sind auf den ersten Blick kürzer und übersichtlicher. Nachteil: Suchmaschinen nehmen den in <q>Akkordeons</q> enthaltenen Text nicht gar so wichtig.</p>
  <p>HTML 5 mit neuen Elementen und CSS 3 mit neuen Eigenschaften bieten Webmastern und Webdesignern mehr Möglichkeiten, als sie früher hatten. Zur Darstellung von auf- und zuklappbaren Bereichen gibt es die neuen HTML-Elemente <code>details</code> und <code>summary</code> (hier verwendet). Über CSS-Regeln können sie gezielt <q>gestylt</q> werden, zB mit den Selektoren <code>details[open] summary {...}</code> oder <code>details:not([open]) {...} summary {...}</code>. Vorteil dieser Lösung: zur gleichen Zeit können <b>mehrere</b> Bereiche aufgeklappt werden. Für dieses <q>Akkordeon</q> verwende ich einen <code>div</code>-Behälter mit der CSS-Klasse <code>akkord</code>.</p>
  </div>

  <div class="akkord">
  <details open>
    <summary>für mobile Sichtgeräte geeignet</summary>
    <p>Das <q>Akkordeon</q> ist responsiv und mobilgeräte-tauglich: CSS-Regeln für schmalere Sichtgeräte habe ich ergänzt.</p>
  </details>
  <details>
    <summary>Tastaturbedienung ist gewährleistet</summary>
    <p class="spalten">In den aktuellen Browsern können die Überschriften (also die <code>summary</code>-Elemente) mit der <code>TAB</code>-Taste angesprungen werden. Mit der <code>Eingabe</code>-Taste oder der <code>Leertaste</code> wird dann der entsprechende Bereich auf- oder zugeklappt. Damit ist diese <q>Akkordeon</q>-Lösung zugänglich.</p>
  </details>
  <details>
    <summary>unterschiedliche Höhe der Aufklapp-Bereiche</summary>
    <p class="spalten">Um die unterschiedliche Höhe der aufgeklappten Bereiche muß man sich nicht kümmern, denn die Höhe wird von den Browsern automatisch festgelegt: bei Bereichen mit wenig Inhalt weniger hoch, bei Bereichen mit viel Inhalt höher (so, daß alles reinpaßt).</p>
  </details>
  <details>
    <summary>aufgeklappte(n) Bereich(e) vorab festlegen</summary>
    <p class="spalten">Sie als Webmaster können im HTML-Quelltext vorab festlegen, welcher Bereich oder welche Bereiche sofort aufgeklappt dargestellt werden. Das kann einer oder keiner sein, oder es können mehrere oder alle sein. Zum sofortigen Aufklappen wird im <code>details</code>-Element das Attribut <code>open</code> vermerkt: <code>&lt;details open&gt;</code>.</p>
  </details>
  <details open>
    <summary>eine reine HTML-/CSS-Lösung :-)</summary>
    <p>Das <q>Akkordeon</q> verwendet kein Javascript und kein jQuery, sondern nur HTML und CSS.</p>
  </details>
  <details>
    <summary>für alle HTML-fähigen Inhalte nutzbar</summary>
    <p>Das <q>Akkordeon</q> ist für alle HTML-fähigen Inhalte wie zB Bilder nutzbar. <b>(Beispieltext und -bild:)</b></p>
    <div class="bildrechts200">
      <img src="./bilder/rhodos-akropolis.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel">
    </div>
    <p>Rhodos liegt am südöstlichen Rand des Ägäischen Meeres und gehört geografisch zur Inselgruppe der Südlichen Sporaden. Mit 1400 km&sup2; Fläche ist Rhodos nach Kreta, Euböa und Lesbos die viertgrößte griechische Insel (zum Vergleich: Rügen, Deutschlands größte Insel, ist 926 km&sup2; groß). Die Küstenlinie mißt 222 km Länge. Rhodos ist 77 km lang und 35 km breit und hat die Form eines Delfins, der nach Nordosten in Richtung türkische Küste schwimmt. Die geringste Entfernung von Rhodos zur türkischen Küste beträgt knapp 10 Seemeilen: vom Flughafen Diagoras westlich der Stadt Rhodos bis zur Halbinsel Loryma (türkisch: Bozburun) östlich der Insel Symi.</p>
  </details>
  <details>
    <summary>Akkordeon: Fließtext im Spaltensatz</summary>
    <p class="spalten">Sie können im Akkordeon Fließtext auch im Spaltensatz anordnen. Es sieht besser aus, wenn Sie dann die Klasse <code>spalten</code> <i>direkt</i> dem betreffenden <i>Absatz</i> zuordnen:<br><code>&lt;p class="spalten"&gt;...&lt;/p&gt;</code>.</p>
  </details>
  </div>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;div class="akkord"&gt;
  &lt;details open&gt;
    &lt;summary&gt;für mobile Sichtgeräte geeignet&lt;/summary&gt;
    &lt;p&gt;Das Akkordeon ist responsiv und mobilgeräte-tauglich ...&lt;/p&gt;
  &lt;/details&gt;
  &lt;details&gt;
    &lt;summary&gt;Tastaturbedienung ist gewährleistet&lt;/summary&gt;
    &lt;p&gt;In den aktuellen Browsern können die Überschriften ...&lt;/p&gt;
  &lt;/details&gt;
  ... usw. ...
&lt;/div&gt;
  </pre>
  <div class="spalten">
  <p>Kleiner Tipp: Das <q>Akkordeon</q> sollte <b>nicht ganz unten</b> auf einer Seite plaziert werden. Am Besten fügt man unterhalb noch einen Absatz mit Text oder anderen Inhalt ein. Ohne diese Maßnahme würde, zumindest in älteren Firefox-Versionen, der unterste Bereich (also das letzte <code>detail</code>-Element) nach dem Aufklappen ohne Scrollen nur unvollständig angezeigt. Das wäre für Besucher lästig.</p>
  </div>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0704-zebra-tabelle-sticky.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0901-bildergalerie-ohne-texte.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>