<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Bildergalerie ohne Untertexte erstellen | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Bildergalerie ohne Untertexte erstellen | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Bildergalerie ohne Untertexte
  </p>

  <h2 id="inhalt">Bildergalerie ohne Untertexte erstellen</h2>
  <div class="spalten">
  <p>Hier zeige ich Ihnen eine mobilgerätetaugliche <strong>Bildergalerie</strong> ohne beschreibende Untertexte: Auf <q lang="en">Smartphones</q> werden die Bilder (auch ohne Medienabfrage) untereinander dargestellt. Auf breiteren Bildschirmen werden die Bilder nebeneinander angeordnet, brechen aber bei ausgeschöpftem Platz in die nächste Zeile um: es ist also eine tabellenartige Bildergalerie in variablem Elementfluß (aber ohne HTML-Tabelle). Jedes Bild ist mit einem Link unterlegt, der zu einer Seite mit dem gleichen Bild in größerer Auflösung führt (hier nur Demo-Links). Dies ist eine nutzerfreundliche Darstellungsform zur Anzeige von Miniaturbildern mit jeweiligen Links zur Bildversion in höherer Auflösung.</p>
  <p>Und zugleich ist diese HTML-Technik wesentlich suchmaschinenfreundlicher als irgendwelche Javascript-Konstrukte (<q lang="en">Lightbox</q> und dergleichen) zur Bildanzeige. Der Indexierung Ihrer Bilder durch Google<b>™</b> und andere Suchmaschinen steht also nichts im Wege. Voraussetzung ist aber, daß Sie <q>sprechende</q> Bilddateinamen verwenden, das <code>alt</code>-Attribut der <code>img</code>-Elemente versorgen und auf der Bildergalerie-Seite bilder-beschreibenden Text bereitstellen.</p>
  </div>
  <p>Für diese Bildergalerie (fertig verwendbare CSS-Klasse <code>bigal</code>) sind keine bild-beschreibenden Untertexte vorgesehen. Dadurch ist die Bildergalerie aber recht platzsparend. - Bitte sehen Sie es mir nach, daß hier alle Bild-Links zur Seite mit ein und demselben Großformat-Bild zeigen; ich will hier ja nur die Funktionsweise erklären.</p>
  <div class="bigal">
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/101-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/102-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/103-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/104-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/105-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: der Apollo-Tempel"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/106-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: das Stadion"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/107-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: das Theater"></a>
    <a href="./1001-quer-bild-600-450.php#a1" title="Link zum Bild im Groß-Format"><img src="./bilder/108-rhodos-akropolis-q-k.jpg" alt="Akropolis von Rhodos: das Theater"></a>
  </div>
  <p>Bei mehreren Bildergalerien auf verschiedenen Seiten bietet man den Besuchern am Besten die Möglichkeit, bequem vor- und zurückzublättern (fertig verwendbare CSS-Klasse <code>blaettern</code>, hier nur leere Demo-Links), und zeigt auch einen kurzen Hinweis an:
  </p>
  <p class="mittig klein" title="Hinweise zur Navigation">Wählen Sie eines der Miniaturbilder zur Ansicht im Groß-Format aus ...<br>... oder wechseln Sie zur nächsten oder vorigen Bildergalerie.</p>
  <div class="blaettern">
    <div class="links">&laquo; <a href="#" title="zur vorigen Bildergalerie">vorige Galerie</a></div>
    <div class="rechts"><a href="#" title="zur nächsten Bildergalerie">nächste Galerie</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>
  <p class="balken"><strong>HTML-Quelltext (für Bildergalerie ohne Untertexte):</strong></p>
  <pre>
&lt;div class="bigal"&gt;
  &lt;a href="./bild-grossformat.php#a1" title="..."&gt;
    &lt;img src="./bilder/101-rhodos-akropolis-q-k.jpg" alt="..."&gt;
  &lt;/a&gt;
  &lt;a href="./bild-grossformat.php#a1" title="..."&gt;
    &lt;img src="./bilder/102-rhodos-akropolis-q-k.jpg" alt="..."&gt;
  &lt;/a&gt;
  ... usw. ...
&lt;/div&gt;</pre>
  <p>Wer in der Bildergalerie keine Links braucht, sondern nur die Miniatur-Bilder anzeigen will, entfernt im HTML-Quelltext einfach das <code>a</code>-Element rings um das <code>img</code>-Element.</p>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0800-akkordeon.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0902-bildergalerie-mit-texten.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>