<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Bildergalerie mit Untertexten erstellen | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Bildergalerie mit Untertexten erstellen | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Bildergalerie mit Untertexten
  </p>

  <h2 id="inhalt">Bildergalerie mit Untertexten erstellen</h2>
  <div class="spalten">
  <p>Hier zeige ich Ihnen eine mobilgerätetaugliche <strong>Bildergalerie</strong> mit beschreibenden Untertexten für jedes Bild: Auf <q lang="en">Smartphones</q> werden die Bilder (auch ohne Medienabfrage) untereinander dargestellt. Auf breiteren Bildschirmen werden die Bilder nebeneinander angeordnet, brechen aber bei ausgeschöpftem Platz in die nächste Zeile um: es ist also eine tabellenartige Bildergalerie in variablem Elementfluß (aber ohne HTML-Tabelle). Jedes Bild ist mit einem Link unterlegt, der zu einer Seite mit dem gleichen Bild in größerer Auflösung führt (hier nur Demo-Links). Dies ist eine nutzerfreundliche Darstellungsform zur Anzeige von Miniaturbildern mit jeweiligen Links zur Bildversion in höherer Auflösung.</p>
  <p>Und zugleich ist diese HTML-Technik wesentlich suchmaschinenfreundlicher als irgendwelche Javascript-Konstrukte (<q lang="en">Lightbox</q> und dergleichen) zur Bildanzeige. Der Indexierung Ihrer Bilder durch Google<b>™</b> und andere Suchmaschinen steht also nichts im Wege. Voraussetzung ist aber, daß Sie <q>sprechende</q> Bilddateinamen verwenden, das <code>alt</code>-Attribut der <code>img</code>-Elemente versorgen und auf der Bildergalerie-Seite zusätzlichen bilder-beschreibenden Text bereitstellen.</p>
  </div>
  <p>Die Merkmale der vorigen Bildergalerie (Anordnung und Umbruch, Eignung für breite Bildschirme und Mobilgeräte, Links) gelten auch für diese Bildergalerie (fertig verwendbare CSS-Klasse <code>bigaltxt</code>). Der Unterschied besteht darin, daß hier zusätzlich für jedes Bild beschreibende Untertexte möglich sind. Diese Texte können verschieden lang sein: Egal, wie lang der Untertext eines Bildes ist, mehrere nebeneinander liegende Bilder werden immer auf gleicher Höhe angezeigt. - Bitte sehen Sie es mir nach, daß hier alle Bild-Links zur Seite mit ein und demselben Großformat-Bild zeigen; ich will hier ja nur die Funktionsweise erklären.</p>
  <ul class="bigaltxt">
    <li>
      <a href="./1002-quer-bild-640-480.php#a1" title="Link zu Bild 1 im Groß-Format"><img src="./bilder/201-mostar-kriva-cuprija-q-k.jpg" alt="1. Bild (Kriva Cuprija: Radobolja-Brücke in Mostar)"></a>
      <p>Bild mit Untertext</p>
    </li>
    <li>
      <a href="./1002-quer-bild-640-480.php#a1" title="Link zu Bild 2 im Groß-Format"><img src="./bilder/202-mostar-stari-most-q-k.jpg" alt="2. Bild (Stari Most: Neretva-Brücke in Mostar)"></a>
      <p>Bild mit etwas längerem Untertext</p>
    </li>
    <li>
      <a href="./1002-quer-bild-640-480.php#a1" title="Link zu Bild 3 im Groß-Format"><img src="./bilder/203-newcastle-swing-bridge-q-k.jpg" alt="3. Bild (Swing Bridge in Newcastle upon Tyne)"></a>
      <p>Bild mit ganz langem Untertext. Bild mit ganz langem Untertext. Bild mit ganz langem Untertext.</p>
    </li>
    <li>
      <a href="./1002-quer-bild-640-480.php#a1" title="Link zu Bild 4 im Groß-Format"><img src="./bilder/204-newcastle-tyne-bridge-q-k.jpg" alt="4. Bild (Tyne Bridge in Newcastle upon Tyne)"></a>
      <p>Bild mit etwas kürzerem Untertext</p>
    </li>
    <li>
      <a href="./1002-quer-bild-640-480.php#a1" title="Link zu Bild 5 im Groß-Format"><img src="./bilder/205-dubrovnik-tudmana-most-q-k.jpg" alt="5. Bild (Franjo-Tudman-Brücke in Dubrovnik)"></a>
      <p>Bild mit Untertext</p>
    </li>
  </ul>
  <p>Bei mehreren Bildergalerien auf verschiedenen Seiten bietet man den Besuchern am Besten die Möglichkeit, bequem vor- und zurückzublättern (fertig verwendbare CSS-Klasse <code>blaettern</code>, hier nur leere Demo-Links), und zeigt auch einen kurzen Hinweis an:
  <p class="mittig klein" title="Hinweise zur Navigation">Wählen Sie eines der Miniaturbilder zur Ansicht im Groß-Format aus ...<br>... oder wechseln Sie zur nächsten oder vorigen Bildergalerie.</p>
  <div class="blaettern">
    <div class="links">&laquo; <a href="#" title="zur vorigen Bildergalerie">vorige Galerie</a></div>
    <div class="rechts"><a href="#" title="zur nächsten Bildergalerie">nächste Galerie</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>
  <p>Für diese Bildergalerie-Lösung (ausführlich beschrieben <a class="extern" href="http://goestathomas.de/?Blog&amp;Bildergalerie-mit-Text-in-variablem-Elementfluss&amp;act=view&amp;bID=31" rel="noreferrer noopener" target="_blank" title="Blog-Artikel auf goestathomas.de">hier in meinem Blog</a>) verwende ich eine normale HTML-Liste <code>ul</code>. Die Listenelemente <code>li</code> werden mit der CSS-Eigenschaft <code>display: inline-block;</code> (Version CSS 2.1) angeordnet.</p>
  <p class="balken"><strong>HTML-Quelltext (für Bildergalerie mit Untertexten):</strong></p>
  <pre>
&lt;ul class="bigaltxt"&gt;
  &lt;li>
    &lt;a href="./bild-grossformat.php#a2" title="..."&gt;
      &lt;img src="./bilder/201-mostar-kriva-cuprija-q-k.jpg" alt="..."&gt;
    &lt;/a>
    &lt;p>Bild mit Untertext&lt;/p&gt;
  &lt;/li&gt;
  &lt;li&gt;
    &lt;a href="./bild-grossformat.php#a2" title="..."&gt;
      &lt;img src="./bilder/202-mostar-stari-most-q-k.jpg" alt="..."&gt;
    &lt;/a&gt;
    &lt;p>Bild mit etwas längerem Untertext&lt;/p&gt;
  &lt;/li&gt;
  ... usw. ...
&lt;/ul&gt;</pre>
  <p>Wer in der Bildergalerie keine Links braucht, sondern nur die Miniatur-Bilder anzeigen will, entfernt im HTML-Quelltext einfach das <code>a</code>-Element rings um das <code>img</code>-Element.</p>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./0901-bildergalerie-ohne-texte.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./1001-quer-bild-600-450.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>