<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Hochformat 345 * 460 px: Seite für Bild im Großformat</title>
<meta charset="utf-8">
<meta name="description" content="Hochformat 345 * 460 px: Seite für Bild im Großformat | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Hochformat 345 * 460 px: Seite für Einzel-Bild
  </p>

  <h2 id="inhalt">Hochformat 345 * 460 px: Seite für Einzel-Bild</h2>
  <div class="spalten">
  <p>Hier sehen Sie eine Musterseite zur <b>Anzeige eines Einzel-Bilds im Großformat 345 * 460 px</b>. Man könnte Bilder zwar auch direkt im Browser oder in einer <q lang="en">Light Box</q>, <q lang="en">Fancy Box</q> oder sonstigen Javascript-Konstruktion anzeigen lassen; das wäre aber <i>nicht</i> suchmaschinenfreundlich. Wem die Aufnahme seines Bildes in den Bilderindex von Google<b>™</b> und Co. wichtig ist, sollte es in eine HTML-Seite einbetten und in Titel, Beschreibung, Überschrift, Fließtext und im <code>alt</code>-Attribut des <code>img</code>-Elements beschreiben.</p>
  <p>In der CSS-<span lang="en">Stylesheet</span>-Datei stehen mehrere CSS-Klassen fix und fertig zur Nutzung bereit: für Querformat-Bilder in den Auflösungen 600 * 450 px und 640 * 480 px und für Hochformat-Bilder in der Auflösung 345 * 460 px. Mit diesen CSS-Klassen paßt sich die angezeigte Bildgröße <q>automatisch</q> der verfügbaren Bildschirmbreite auch auf schmalen Endgeräten wie <q lang="en">Smartphones</q> an: Als Höchstbreite <code>max-width</code> ist jeweils die tatsächliche Breite des Bildes in Pixel eingetragen.</p>
  <p>Da die Bilder zentriert ausgerichtet sind, empfiehlt es sich, eine Überschrift direkt über dem Bild ebenfalls mittig anzuordnen: <code>&lt;h2 id="a1" class="mittig"&gt; Hochformat 345*460 px ...&lt;/h2&gt;</code></p> 
  </div>

  <p id="a1" class="balken" style="text-align:center;"><strong>Beispiel für Hochformat-Bild 345*460 px (CSS-Klasse <code>bhoch345</code>)</strong></p>
  <p class="mittig">Für Hochformat-Bilder in der Auflösung 345 * 460 px ist die CSS-Klasse <code>bhoch345</code> verfügbar.</p>
  <div class="bhoch345">
    <img src="./bilder/rhodos-meer-strand.jpg" alt="Rhodos: Meer und Strand an der Nordspitze">
  </div>
  <div class="bhtxt345">
    Text zur Bildbeschreibung: Dies ist ein Text zwecks Test auf breiten und schmalen Bildschirmen (Bild: Gösta Thomas)
  </div>
  <p>Bei mehreren vorhandenen Bildern bietet man den Besuchern am Besten die Möglichkeit, bequem vor- und zurückzublättern (fertig verwendbare CSS-Klasse <code>blaettern</code>, hier nur Demo-Links), und zeigt auch einen Link zur übergeordneten Bildergalerie (hier nicht vorhanden) an.</p>
  <div class="blaettern">
    <div class="links">&laquo; <a href="#a1" title="zum vorigen Bild">voriges Bild</a></div>
    <div class="rechts"><a href="#a1" title="zum nächsten Bild">nächstes Bild</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;div class="bhoch345"&gt;
  &lt;img src="./bilder/rhodos-meer-strand.jpg" alt="..."&gt;
&lt;/div&gt;
&lt;div class="bhtxt345"&gt;
  Text zur Bildbeschreibung: ... (Bild: Gösta Thomas)
&lt;/div&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./1002-quer-bild-640-480.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./1100-formular.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav clear" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>