<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Formular: Gestaltungsvorschlag | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Formular: Gestaltungsvorschlag | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<!-- <body onLoad="document.formular.anrede.focus();"> onLoad verhindert skip-link -->
<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Formular
  </p>

  <h2 id="inhalt">Formular: Gestaltungsvorschlag</h2>
  <form id="formtab" name="formular" action="" method="POST" autocomplete="off" enctype="multipart/form-data" accept-charset="utf-8 iso-8859-1">
  <!-- wenn Javascript-Prüfungen erwünscht, in form ergänzen: onSubmit="return pruefen()" -->
  <table><colgroup><col style="width:160px;"><col style="width:640px;"></colgroup>
  <tr>
    <td><label for="anrede">Anrede *</label></td>
    <td>
      <select id="anrede" name="anrede" required size="1" class="auswahl"
      onFocus="this.style.background='#ffb'" onBlur="this.style.background='#ffe'">
        <option selected value=""></option><option value="Herr">Herr</option>
        <option value="Frau">Frau</option><option value="Firma">Firma</option>
      </select>
    </td>
  </tr>
  <tr>
    <td><label for="name">Name *</label></td>
    <td>
      <input id="name" type="text" name="name" required size="32" maxlength="40" class="textfeld"
      onFocus="this.style.background='#ffb'" onBlur="this.style.background='#ffe'" value="">
    </td>
  </tr>
  <tr>
    <td><label for="email">E-Mail *</label></td>
    <td>
      <input id="email" type="text" name="email" required size="32" maxlength="40"
        class="textfeld"
        onFocus="this.style.background='#ffb'" onBlur="this.style.background='#ffe'" value="">
    </td>
  </tr>
  <tr>
    <td><label for="url"><span lang="en">Website</span></label></td>
    <td>
      <input id="url" type="text" name="Url" size="32" maxlength="40" class="textfeld"
      onFocus="this.style.background='#ffb'" onBlur="this.style.background='#ffe'"
      value="https://">
    </td>
  </tr>
  <tr>
    <td colspan="2"><label for="nachricht"><br>Nachricht *</label></td>
  </tr>
  <tr>
    <td colspan="2">
      <textarea id="nachricht" name="nachricht" required rows="9" cols="" class="textfeld"
      onFocus="this.style.background='#ffb'" onBlur="this.style.background='#ffe'"></textarea>
    </td>
  </tr>
  </table>
  <div class="hinweis">
    <p class="mittig">
      Die Felder <i>Anrede</i> *, <i>Name</i> *, <i>E-Mail</i> * und <i>Nachricht</i> * sind <b>Pflicht</b>-Felder. Im Feld <i lang="en">Website</i> ist keine Eingabe erforderlich.<br><br>
      <label for="ein">
        <input id="ein" type="checkbox" required name="einverstanden">
        Mit Speicherung und Verarbeitung der gesendeten Daten bin ich einverstanden (<a href="./impressum.php#data" title="zur Datenschutzerklärung" target="_blank">Datenschutzerklärung</a>).
      </label>
    </p>
    <button type="submit" name="vorschau">Vorschau</button>
    <button type="submit" name="senden">Senden</button>
    <button type="reset" name="loeschen">Löschen</button>
  </div>
  </form>

  <h2>Formular: technische Hinweise</h2>
  <div class="spalten">
  <p>Die Funktionalität des Formulars müßte gesondert programmiert werden. Jetzt ist das Formular noch <b>funktionslos</b>: das <code>action</code>-Attribut des <code>form</code>-Elements ist leer, die Schaltflächen <i>Vorschau</i> und <i>Senden</i> bewirken also nichts. Wenn Ihr Verarbeitungsziel feststeht, müßten Sie im <code>action</code>-Attribut ein Server-Script (in PHP oder einer anderen server-seitigen Scriptsprache verfaßt) aufrufen.</p>
  <p>Der Formular-Entwurf ist also <q>nur</q> ein Gestaltungsvorschlag mit dem Auswahlfeld <i>Anrede</i> und den <code>input</code>-Elementen für <i>Name</i>, <i>E-Mail</i> und <i>Website</i> sowie dem <code>textarea</code>-Element <i>Nachricht</i>. Je nach beabsichtigtem Verwendungszweck müßten Sie ggf. weitere Eingabefelder ergänzen. Das Formular eignet sich (auch ohne Medienabfrage) für breite Bildschirme und schmale Endgeräte gleichermaßen. Das Tabellen-Layout für die Eingabefelder ist vielleicht nicht mehr ganz zeitgemäß, aber genauso wirksam wie ein neumodisches Grid-Layout.</p>
  <p>Für die Pflichtfelder sind über das Attribut <code>required</code> die browser-eigenen Prüfungen aktiviert. Wenn alternativ oder zusätzlich die vorbereiteten Javascript-Prüfungen durchgeführt werden sollen, müßten Sie im <code>form</code>-Element das Attribut <code>onSubmit=&quot;return pruefen()&quot;</code> ergänzen. Natürlich sollten die Formular-Eingaben durch anschließende server-seitige Prüfungen validiert werden.</p>
  </div>
  <p class="balken"><strong>HTML-Quelltext:</strong></p>
  <pre>
&lt;form id="formtab" name="formular" action="..." method="POST"
  autocomplete="off" enctype="multipart/form-data"
  accept-charset="utf-8" onSubmit="return pruefen()"&gt;
  ...
&lt;/form&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <p><b>Tipp:</b> Wenn es Ihr Verarbeitungsziel ist, Formular-Eingaben per Email zu versenden, empfehle ich Ihnen aus Gründen der Sicherheit den <a class="extern" title="zum Github-PHPMailer" href="https://github.com/PHPMailer/PHPMailer" target="_blank" rel="noopener noreferrer">Github-PHPMailer</a>. Hierzu gibt's eine <a class="extern" title="zur PHPMailer-Anleitung von Werner Zenk" href="https://werner-zenk.de/tipps/phpmailer.php" target="_blank" rel="noopener noreferrer">Anleitung von Werner Zenk</a>.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./1003-hoch-bild-345-460.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./1200-html-seitenuebersicht.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>