<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>HTML-Seitenübersicht: Musterseite | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="HTML-Seitenübersicht: Musterseite | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; HTML-Seitenübersicht
  </p>

  <h2 id="inhalt">HTML-Seitenübersicht:</h2>
  <p>Eine <strong>HTML-Seitenübersicht</strong> ist nur dann sinnvoll und für Besucher nützlich, wenn Sie auf Ihrer Website <i>mehr</i> Seiten haben, als im Menü (auf erster und zweiter Ebene) angezeigt werden können. Kurz gesagt: wenn nicht alle Ihre Seiten im Menü verlinkt sind.</p>
  <p style="margin-bottom:1.5em;">Beachten Sie bitte: Für die Seiten in meinem Download-Paket wäre gar keine HTML-Seitenübersicht erforderlich, weil alle Seiten bereits gut sichtbar verlinkt sind. Ich zeige die HTML-Seitenübersicht hier nur zur Demo als Musterseite.</p>
  <div class="spalten">
  <ul class="suebs">
    <li><a href="./">Startseite</a><br></li>
    <li><a href="./0200-ueberschriften-fliesstext.php">Überschriften und Fließtext</a></li>
    <li class="kein-link"><strong>[Text: weitere Musterseiten &raquo;]</strong></li>
      <li class="ebene2"><a href="./0301-text-links-bild-rechts.php">Textumfluß links, Bild rechts</a></li>
      <li class="ebene2"><a href="./0302-text-rechts-bild-links.php">Textumfluß rechts, Bild links</a></li>
      <li class="ebene2"><a href="./0303-vorformatierter-text.php">Vorformatierten Text ausgeben</a></li>
      <li class="ebene2"><a href="./0304-zitatblock.php">Zitatblock anzeigen</a></li>
    <li><a href="./0400-spaltensatz.php">Spaltensatz im Magazin-Stil</a></li>
    <li><a href="./0500-ausgehende-links.php">Ausgehende Links setzen</a></li>
    <li class="kein-link"><strong>[Aufzählungs-Listen: Musterseiten &raquo;]</strong></li>
      <li class="ebene2"><a href="./0601-ungeordnete-liste.php">Ungeordnete Aufzählungsliste</a></li>
      <li class="ebene2"><a href="./0602-geordnete-liste.php">Geordnete Aufzählungsliste</a></li>
      <li class="ebene2"><a href="./0603-verschachtelte-liste.php">Verschachtelte Aufzählungsliste</a></li>
      <li class="ebene2"><a href="./0604-navigations-liste.php">Navigations-Linkliste</a></li>
    <li class="kein-link"><strong>[Datentabellen: Musterseiten &raquo;]</strong></li>
      <li class="ebene2"><a href="./0701-zweispalt-tabelle.php">Zweispaltige Tabelle ohne Rand</a></li>
      <li class="ebene2"><a href="./0702-dreispalt-tabelle-sticky.php">Dreispaltige Tabelle, Kopf sticky</a></li>
      <li class="ebene2"><a href="./0703-dreispalt-tabelle-respons.php">Dreispaltige Tabelle, responsiv</a></li>
      <li class="ebene2"><a href="./0704-zebra-tabelle-sticky.php">Zebra-Tabelle, Kopf sticky</a></li>
    <li><a href="./0800-akkordeon.php">Akkordeon: Musterseite</a></li>
    <li class="kein-link"><strong>[Bildergalerien: Musterseiten &raquo;]</strong></li>
      <li class="ebene2"><a href="./0901-bildergalerie-ohne-texte.php">Bildergalerie ohne Untertexte</a></li>
      <li class="ebene2"><a href="./0902-bildergalerie-mit-texten.php">Bildergalerie mit Untertexten</a></li>
    <li class="kein-link"><strong>[Einzel-Bilder: Musterseiten &raquo;]</strong></li>
      <li class="ebene2"><a href="./1001-quer-bild-600-450.php">Querformat-Bild: 600 * 450 px</a></li>
      <li class="ebene2"><a href="./1002-quer-bild-640-480.php">Querformat-Bild: 640 * 480 px</a></li>
      <li class="ebene2"><a href="./1003-hoch-bild-345-460.php">Hochformat-Bild: 345 * 460 px</a></li>
    <li><a href="./1100-formular.php">Formular: Musterseite</a></li>
    <li><a href="./1200-html-seitenuebersicht.php">HTML-Seitenübersicht: Musterseite</a></li>
    <li><a href="./1300-sterne-bewertungen.php">Sterne-Bewertungen: Musterseite</a></li>
    <li><a href="./suchen.php">Suchen nach ...</a></li>
    <li><a href="./impressum.php">Kontakt, Datenschutz</a></li>
  </ul>
  </div>

  <h3>Die HTML-Seitenübersicht als ungeordnete Liste</h3>
  <p>Für die HTML-Seitenübersicht wird eine ungeordnete Liste verwendet (<code>&lt;ul class="suebs"&gt;</code>). Die Einrückung der Listenelemente erfolgt über Klassen: <code>li class=&quot;ebene2&quot;</code>, <code>li class=&quot;ebene3&quot;</code> (hier nicht vorhanden) und <code>li class=&quot;ebene4&quot;</code> (hier nicht vorhanden). Das Seitensymbol ist ein Hintergrundbild und wird base64-kodiert in der CSS-Datei gespeichert.</p>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./1100-formular.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./1300-sterne-bewertungen.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>