<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title>Sterne-Bewertungen: Musterseite | Download Vorlage</title>
<meta charset="utf-8">
<meta name="description" content="Sterne-Bewertungen: Musterseite | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Sterne-Bewertungen
  </p>

  <h2 id="inhalt">Sterne-Bewertungen für Testberichte</h2>
  <div class="spalten">
  <p><strong>Bewertungs-Sterne:</strong> Wer gelegentlich Testberichte schreibt, möchte vielleicht seine Bewertung auch grafisch ausdrücken. Dafür sind Sterne ein beliebtes Mittel. Hierzu eignet sich die CSS-Klasse <code>stern</code> mit den Unterklassen <code>stern1</code> (1 Stern) bis <code>stern6</code> (6 Sterne). Die sechs Bilder sind in einer <span lang="en">Sprite</span>-Datei gespeichert (das erfordert nur <span class="fett">eine</span> Anfrage an den Server statt sechs Anfragen) und werden daraus ausschnittweise als Hintergrundbilder angezeigt. Die <code>div</code>-Behälter für die Sterne werden mit <code>float: left;</code> positioniert. Ausführliche Informationen zu CSS-<span lang="en">Sprites</span> erhalten Sie <a class="extern" href="http://goestathomas.de/?Blog&amp;CSS-Sprites-erstellen-Info,-Anleitung,-Tipps&amp;act=view&amp;bID=35" rel="noreferrer noopener" target="_blank" title="Blog-Artikel auf goestathomas.de">in meinem Blog</a>.</p>
  <p>Hier als Beispiele die Anzeige von drei (ausreichend) und sechs Sternen (sehr gut):</p>
  </div>
  <div class="stern">
    <div class="stern3">&nbsp;</div>
    <div class="note">3 Sterne: ausreichend&nbsp;</div>
  </div>
  <div class="stern">
    <div class="stern6">&nbsp;</div>
    <div class="note">6 Sterne: sehr gut&nbsp;</div>
  </div>
  <p class="balken"><strong>HTML-Quelltext (für 6 Sterne):</strong></p>
  <pre>
&lt;div class="stern"&gt;
  &lt;div class="stern6"&gt;&amp;nbsp;&lt;/div&gt;
  &lt;div class="note"&gt;6 Sterne: sehr gut&amp;nbsp;&lt;/div&gt;
&lt;/div&gt;
  </pre>

  <p class="fett">Verwenden Sie diese Musterseite als Kopiervorlage.</p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./1200-html-seitenuebersicht.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./suchen.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>