<?php ob_start("ob_gzhandler"); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<meta charset="utf-8">
<title>Max Mustermann: erfahren Sie hier alles aus meinem Leben</title>
<meta name="description" content="Max Mustermann: Lebenslauf, Beruf, Familie, Freizeit und Reisen: erfahren Sie alles über mich aus erster Hand auf meiner Website max-mustermann-info.de">
<meta name="robots" content="index,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
</head>

<body>

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>
  <p class="pfad">[Domain-Name]: Startseite</p>

  <h2 id="inhalt">Max Mustermann: Beruf, Familie, Freizeit</h2>
  <p>Ich bin der berühmte Max Mustermann und erstelle gerade meine eigene Website mit der Webseiten-Vorlage von Gösta Thomas ;-) Bevor ich hier aus meinem ereignisreichen Leben berichte, lasse ich nochmal Gösta Thomas zu Wort kommen:</p>
  <div class="spalten">
  <p>Ich empfehle Ihnen, die Vorlage in <i>zwei</i> Ziel-Verzeichnisse zu entpacken: eines, zB <code>vorlage</code>, als Sicherung für die Original-Vorlage, und ein zweites, zB <code>webseiten</code>, in dem Sie <i>Ihre</i> eigenen Webseiten erstellen und ablegen. Damit bleiben Ihnen die Vorlage-Musterseiten als Kopiervorlagen erhalten und werden <i>nicht</i> mit Ihren Inhalten überschrieben. Weitere Hinweise siehe <a class="extern" title="zur Doku: Webseiten-Vorlage runterladen und entpacken" href="https://webseiten-vorlage.seopunkt.de/wie-fange-ich-an.php#a2" target="_blank" rel="noopener noreferrer">hier: wie fange ich an?</a>).</p>
  </div>

  <h3 id="a2">Seiten erstellen und Inhalte verfassen</h3>
  <div class="spalten">
  <p>Wenn Sie eine neue Seite erstellen wollen, kopieren Sie am Besten eine ähnliche Musterseite, benennen sie um und tragen in Ihrem Editor anstelle des vorhandenen Inhalts Ihren eigenen Inhalt ein. <b>Beispiele:</b> Wenn Sie eine Seite mit Fließtext-Absätzen erstellen wollen, verwenden Sie als Kopier-Quelle die <q>Überschriften und Fließtext</q>-Musterseite. Wenn Sie eine Bildergalerie-Seite erstellen wollen, verwenden Sie als Kopier-Quelle einer der beiden <q>Bildergalerie-Musterseiten</q>.</p>
  <p>Wenn Sie eine schon erstellte Seite um andere Elemente erweitern wollen, kopieren Sie in Ihrem Editor einen Quelltext-<i>Ausschnitt</i> aus einer Musterseite, die ein solches anderes Element enthält. <b>Beispiele:</b> Wenn Sie in eine Seite mit Fließtext-Absätzen zusätzlich eine Tabelle einfügen wollen, kopieren Sie aus einer der <q>Datentabellen-Musterseiten</q> den Quelltext der gewünschten Tabelle, fügen ihn in Ihre Fließtext-Seite ein und ändern/ergänzen die Tabellen-Inhalte. Wenn Sie eine erstellte Seite um ein Bild im Großformat ergänzen wollen, kopieren Sie aus einer der <q>Einzelbilder-Musterseiten</q> den entsprechenden Quelltext, fügen ihn in Ihre vorhandene Seite ein und ändern den Bilddatei-Namen und die Bildbeschreibung.</p>
  <p>Manchmal geht's noch einfacher: In vielen Fällen zeige ich Quellcode-Schnippsel im Browser an. Die können Sie dann von dort kopieren und über die Zwischenablage in Ihrem Editor an die gewünschte Stelle einfügen. <b>Beispiele</b> sind die im Browser angezeigten Quellcode-Schnippsel auf den <q>Aufzählungslisten-Musterseiten</q> und der Quellcode für den <q>Zitatblock</q> nach Forumsart.</p>
  <p>Zur Fertigstellung einer Seite prüfen Sie anhand der <span class="gelb">gelb unterlegten Stellen</span> im <a class="extern" title="zur Doku: PHP-/HTML-Seitengerüst" href="https://webseiten-vorlage.seopunkt.de/php-html-seitengeruest.php" target="_blank" rel="noopener noreferrer">PHP-/HTML-Seitengerüst</a>, ob Sie alle erforderlichen Elemente richtig versorgt haben (auch den Titel und die Meta-Elemente?).</p>
  </div>

  <h3 id="a2">Wo ist die vollständige Dokumentation?</h3>
  <p>Zur besseren Übersichtlichkeit enthält das Download-Paket der Webseiten-Vorlage <i>nur die Musterseiten, die Sie als Kopiervorlagen verwenden können</i>. Die vollständige Dokumentation der Vorlage steht Ihnen auf meiner Website <b>webseiten-vorlage.seopunkt.de</b> zeitlich unbegrenzt zur Verfügung:</p>
  <div class="spalten">
  <ul class="suebs">
    <li><a class="extern" title="zur Doku: Startseite" href="https://webseiten-vorlage.seopunkt.de/" target="_blank" rel="noopener noreferrer">Startseite</a><br></li>
    <li><a class="extern" title="zur Doku: Merkmale der Vorlage" href="https://webseiten-vorlage.seopunkt.de/merkmale-uebersicht.php" target="_blank" rel="noopener noreferrer">Merkmale der Vorlage</a></li>
    <li><a class="extern" title="zur Doku: Eine Vorlage: vier Designs" href="https://webseiten-vorlage.seopunkt.de/1-vorlage-4-designs.php" target="_blank" rel="noopener noreferrer">Eine Vorlage: vier Designs</a></li>
    <li><a class="extern" title="zur Doku: Wie fange ich an?" href="https://webseiten-vorlage.seopunkt.de/wie-fange-ich-an.php" target="_blank" rel="noopener noreferrer">Wie fange ich an?</a></li>
    <li><a class="extern" title="zur Doku: PHP-/HTML-Seitengerüst" href="https://webseiten-vorlage.seopunkt.de/php-html-seitengeruest.php" target="_blank" rel="noopener noreferrer">PHP-/HTML-Seitengerüst</a></li>
    <li class="kein-link"><strong>[Texte erstellen: alle Infos &raquo;]</strong></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Textstrukturierung" href="https://webseiten-vorlage.seopunkt.de/textstrukturierung.php" target="_blank" rel="noopener noreferrer">Textstrukturierung</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Textgestaltung" href="https://webseiten-vorlage.seopunkt.de/textgestaltung.php" target="_blank" rel="noopener noreferrer">Textgestaltung, Textlinks</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Text statt Grafik" href="https://webseiten-vorlage.seopunkt.de/text-statt-grafik.php" target="_blank" rel="noopener noreferrer">Text statt Grafik</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Spaltensatz" href="https://webseiten-vorlage.seopunkt.de/spaltensatz.php" target="_blank" rel="noopener noreferrer">Spaltensatz</a></li>
    <li><a class="extern" title="zur Doku: Aufzählungslisten" href="https://webseiten-vorlage.seopunkt.de/aufzaehlungslisten.php" target="_blank" rel="noopener noreferrer">Aufzählungslisten</a></li>
    <li><a class="extern" title="zur Doku: HTML-Datentabellen" href="https://webseiten-vorlage.seopunkt.de/html-datentabellen.php" target="_blank" rel="noopener noreferrer">HTML-Datentabellen</a></li>
    <li><a class="extern" title="zur Doku: Akkordeon" href="https://webseiten-vorlage.seopunkt.de/./akkordeon.php" target="_blank" rel="noopener noreferrer">Akkordeon</a></li>
    <li><a class="extern" title="zur Doku: Bildergalerien" href="https://webseiten-vorlage.seopunkt.de/bildergalerien.php" target="_blank" rel="noopener noreferrer">Bildergalerien, Bildlinks</a></li>
    <li><a class="extern" title="zur Doku: Einzel-Bild im Großformat" href="https://webseiten-vorlage.seopunkt.de/bild-grossformat.php" target="_blank" rel="noopener noreferrer">Einzel-Bild im Großformat</a></li>
    <li class="kein-link"><strong>[Extras, Tipps, FAQ &raquo;]</strong></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Formular" href="https://webseiten-vorlage.seopunkt.de/formular.php" target="_blank" rel="noopener noreferrer">Formular</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: HTML-Seitenübersicht" href="https://webseiten-vorlage.seopunkt.de/html-seitenuebersicht.php" target="_blank" rel="noopener noreferrer">HTML-Seitenübersicht</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Animierter Bildwechsel" href="https://webseiten-vorlage.seopunkt.de/animierter-bildwechsel.php" target="_blank" rel="noopener noreferrer">Animierter Bildwechsel</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Sterne-Bewertungen" href="https://webseiten-vorlage.seopunkt.de/sterne-bewertungen.php" target="_blank" rel="noopener noreferrer">Sterne-Bewertungen</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Kopfzeilen-Bilder" href="https://webseiten-vorlage.seopunkt.de/kopfzeilen-bilder.php" target="_blank" rel="noopener noreferrer">Kopfzeilen-Bilder</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Favicons erstellen" href="https://webseiten-vorlage.seopunkt.de/favicons-erstellen.php" target="_blank" rel="noopener noreferrer">Favicons erstellen</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Tipps und Hinweise" href="https://webseiten-vorlage.seopunkt.de/tipps-hinweise.php" target="_blank" rel="noopener noreferrer">Tipps und Hinweise</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: .htaccess-Regeln" href="https://webseiten-vorlage.seopunkt.de/htaccess-regeln.php" target="_blank" rel="noopener noreferrer">.htaccess-Regeln</a></li>
      <li class="ebene2"><a class="extern" title="zur Doku: Fragen FAQ" href="https://webseiten-vorlage.seopunkt.de/fragen-faq.php" target="_blank" rel="noopener noreferrer">Fragen FAQ</a></li>
    <li><a class="extern" title="zur Doku: Showcase" href="https://webseiten-vorlage.seopunkt.de/showcase.php" target="_blank" rel="noopener noreferrer">Showcase: Nutzer-Seiten</a></li>
    <li><a class="extern" title="zur Doku: Vorlage runterladen" href="https://webseiten-vorlage.seopunkt.de/vorlage-runterladen.php" target="_blank">Vorlage runterladen</a></li>
    <li><a class="extern" title="zur Doku: Suchen nach" href="https://webseiten-vorlage.seopunkt.de/suchen.php" target="_blank" rel="noopener noreferrer">Suchen nach ...</a></li>
    <li><a href="./impressum.php">Kontakt, Datenschutz</a></li>
    <li><a class="extern" title="zur Doku: Kontakt, Datenschutz" href="https://webseiten-vorlage.seopunkt.de/./impressum.php" target="_blank" rel="noopener noreferrer">Kontakt, Datenschutz</a></li>
  </ul>
  </div>

  <h3 id="a3">Urheberrecht, Nutzungsrechte, Lizenz</h3>
  <p>Diese Webseiten-Vorlage wird von mir, Gösta Thomas (Urheber, Entwickler) als zip-Archiv und 7zip-Archiv zum Runterladen angeboten. Die Vorlage darf unter den Bedingungen der GNU GPL Version 3.0 zur Erstellung privater und geschäftlicher Websites genutzt werden:</p>
  <ol>
    <li>Erlaubt ist die Verwendung der in der Vorlage enthaltenen technischen Muster (PHP-, HTML- und CSS-Code) für vom Nutzer erstellte Websites. Anpassungen, Änderungen, Weglassungen und Ergänzungen sind erlaubt.</li>
    <li>Verboten ist die produktive Nutzung der in der Vorlage enthaltenen Beispiel-Texte und Beispiel-Bilder. Sie müssen vom Nutzer durch eigene Texte und Bilder ersetzt werden.</li>
    <li>Die Nutzung der Vorlage erfolgt auf eigenes Risiko des Nutzers. Ich übernehme keine Haftung oder Gewährleistung für etwaige Schäden.</li>
    <li>Für die Nutzung der Vorlage besteht kein Anspruch auf persönliche Beratung oder auf <i lang="en">Support.</i></li>
    <li>Vom Nutzer müssen mein Name als Urheber und die Lizenz im Impressum der Website und in der Stylesheet-Datei genannt werden, zB in dieser Form: <i>Für diese Website wurde die <a class="extern" title="zur Website des Anbieters" href="https://webseiten-vorlage.seopunkt.de/" target="_blank" rel="noopener noreferrer">Webseiten-Vorlage von Gösta Thomas</a> genutzt. Das Urheberrecht liegt bei Gösta Thomas. Die Vorlage ist unter <a class="extern" title="zum Text der GNU GPL 3.0" href="https://www.gnu.de/documents/gpl-3.0.de.html" target="_blank" rel="nofollow noopener noreferrer">GNU GPL 3.0</a> lizenziert. Änderungen & Anpassungen erfolgten durch mich, [Ihr Name], am [Datum].</i></li>
    <li>Ich stelle dem Nutzer die Vorlage zu den genannten Bedingungen kostenlos zur Verfügung.</li>
  </ol>
  <p>Ich wünsche Ihnen für Ihre Website mit meiner Webseiten-Vorlage viel Spaß und viel Erfolg.<br>
  <strong>Gösta Thomas</strong></p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./impressum.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./0200-ueberschriften-fliesstext.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>