<?php ob_start("ob_gzhandler"); header('X-Robots-Tag: noindex'); ?>
<!DOCTYPE html>
<html lang="de">
<head>
<title><?= (isset($_GET["suchbegriff"]) ? '„' . htmlspecialchars($_GET["suchbegriff"], ENT_HTML5, 'UTF-8') . '“ ' : ''); ?>Suchen auf der Website</title>
<meta charset="utf-8">
<meta name="description" content="Suchen nach ... auf meiner Website | Das Meta-Element description beschreibt den Inhalt der Seite mit bis zu 160 Zeichen (einschließlich Leerstellen)">
<meta name="robots" content="noindex,follow,noarchive">
<?php readfile('./x-includes/meta.inc'); ?>
<!-- gtho 01.06.2022: Style-Regeln geprüft, geändert und in CSS-Datei ausgelagert -->
</head>

<!-- <body> gtho 02.06.2022 stattdessen: Schreibmarke in Eingabefeld -->
<body onLoad="document.formular.suchbegriff.focus();">

<!-- entweder Kopfzeilen-Bild oder Kopfzeilen-Farbverlauf): -->
<header id="kopf-bild"> <!-- <header id="kopf-fv"> -->
<?php readfile('./x-includes/kopf.inc'); ?>
</header>

<main>

<div class="hnav">
  <a href="#menu" title="Menü anzeigen" tabindex="-1">
    <span class="menue">Menü</span><span class="hamburg">&#8801;</span>
  </a>
</div>

<article>

  <p class="pfad">[Domain-Name]:
    <a href="./" tabindex="-1">Startseite</a> &gt; Suchen
  </p>

  <h2 id="inhalt">Suchen auf der Website nach ...</h2>
<?php
/* 
Kleine Suchmaschine - Version vom: 04.12.2021
veröffentlicht unter GNU GPL Version 3.0
Eine aktuelle Version finden Sie unter:
https://werner-zenk.de/archiv/kleine-suchmaschine.php

Diese Suchmaschine durchsucht die angegebenen Verzeichnisse 
und die darin enthaltenen Dateien nach einem Suchbegriff!
Benötigt: PHP 7.3 oder höher.

Die zu durchsuchenden Dateien müssen über gültigen HTML-Code (<title>, <head>, <body>, …) verfügen.
Um Probleme bei der Darstellung der Zeichen zu vermeiden, sollten alle Dateien mit der Zeichenkodierung
UTF-8 (ohne BOM) gespeichert sein ...

*-------------------------------------------------------------------------------*
* Im April 2022 für eigene Zwecke angepaßt und geändert von Gösta Thomas:
* Änderungen sind gekennzeichnet mit --> gtho [Datum]: [Änderung]:
*-------------------------------------------------------------------------------*
*/

/* Konfiguration: */

/* Die zu durchsuchenden Verzeichnisse eintragen, ausgehend vom aktuellen Verzeichnis,
   in dem diese Datei liegt. Aktuelles Verzeichnis durchsuchen mit  "./"   */
  $verzeichnisse = ["./"
   // "verzeichnis1/",
  ];

/* Die Dateiendungen der Dateien die gefunden werden sollen.
   Dateiendungen mit Großbuchstaben (z. B.: .JPG) müssen extra 
   eingetragen werden! */
  $dateiendungen = [
    // ".gif",
    // ".htm",
    // ".html",
    // ".jpg",
    // ".mp3",
    // ".pdf",
    ".php",
    // ".png",
    // ".txt",
    // ".zip",
  ];

/* Die Dateiendungen der Dateien die von der oberen Liste "keine"
   Textdateien sind (es wird nur der Dateiname angezeigt) */
  $_dateiendungen = [
    ".gif",
    ".jpg",
    ".mp3",
    ".pdf",
    ".png",
    ".zip",
  ];

/* Vorzeichen bei Dateien, die nicht durchsucht werden
   sollen zum Beispiel: _intern.htm,  _log.php,  _data.txt */
  $vorzeichen = "_"; // _ (1 Zeichen)

/* Einzelne Dateien die nicht durchsucht werden sollen */
  $nicht_durchsuchen = [
    "privat.htm",
    "login.php",
    "suchen.php",
  ];

/* Länge des minimalen Suchbegriffs */
  $suchbegriff_min = 3; // 4

/* Länge des maximalen Suchbegriffs */
  $suchbegriff_max = 40; // 100

/* Maximale Anzeige (Begrenzung) der Ergebnisse */
  $suchergebnisse_max = 30; // 50

/* Unerwünschte Eingaben von der Suche ausschließen */
  $ausschluss_eingaben = [
    // "Muster",
  ];  

/* Automatische Weiterleitung, wenn nur eine Datei gefunden wurde (ja/nein) */
  $auto_weiterleitung = "nein"; // nein

/* HTML-Quellcode in den Suchergebnissen anzeigen (ja/nein)
   Achtung - Diese Option zeigt auch PHP-Quellcode an! */
  $html_quellcode = "nein"; // nein

/* HTML-Tags bei der Eingabe zulassen (ja/nein) */
  $html_eingabe = "nein"; // nein

/* Ziel in neuem Fenster/Tab öffnen.
   $target = "_blank";  Bei einem iFrame kann "_top" verwendet werden. */
  $target = ""; // leer!

/* Tipps anzeigen, wenn nichts gefunden wurde (ja/nein) */
  $tipps_anzeigen = "ja"; // ja

/* Die Ergebnisse nach der letzten Dateiänderung sortieren (ja/nein).
   Bei "nein" erfolgt die Sortierung nach der Anzahl der gefundenen Ergebnisse. */
  $sortierung_dateiaenderung = "nein"; // nein

/* Ergebnis der Suche (Datum, Suchanfrage und Trefferzahl) speichern (ja/nein) */
  $sucheingabe_speichern = "ja"; // nein

/* Name der Datei in der die Sucheingaben gespeichert werden.
   Diese Datei wird beim ersten Eintrag autom. erzeugt! */
  $suchdatei = "./suchen/suchvorgaenge.txt"; // suchbegriffe.txt

/* Bereits eingetragene Sucheingaben als Auswahl im Formularfeld anzeigen (ja/nein) 
   $sucheingabe_speichern muss auf "ja" stehen! */
  $datenliste_anzeigen = "nein"; // nein

/* Datei-Info - Letzte Änderung und Dateigröße (ja/nein) */
  $datei_info = "nein"; // ja

/* Pfad-Info - Pfad anzeigen (ja/nein) */
  $pfad_info = "ja"; // ja

/* Status-Info - Anzahl der durchsuchten Verzeichnisse und Dateien anzeigen (ja/nein) */
  $status_info = "ja"; // ja

/* Länge des angezeigten Textausschnitts */
  $textausschnitt = 180; // 150 Zeichen

/* Treffer auf der gefundenen Seite hervorheben (ja/nein).
   Diese Funktion wird noch nicht von allen Browsern unterstützt! */
  $treffer_hervorheben = "ja"; // ja

/* Folgende Zeichen, Wörter oder HTML-Attribute
   aus dem Textausschnitt ersetzen oder entfernen. */
  $entfernung_zeichen = [
    // 'Privat' => '',
    'sofort zum Inhalt' => '',
    'Startseite >' => '',
    'vorige Seite' => '',
    'nächste Seite' => '',
    'pfoben' => '',
  ];

/* Inhalt entfernen, der zwischen den folgenden HTML-Tags liegt.
   Dieser Inhalt taucht dann nicht in den Suchergebnissen auf!
   Wenn z. B. der <nav>-Tag zusätzliche HTML-Attribute enthält, so müssen
   diese mit der vorherigen Option ($entfernung_zeichen) entfernt werden. */
  $entfernung_inhalt = [
    "head", // <head></head>
    "nav", // <nav></nav>
    "footer", // <footer></footer>
  ];

/* Einen bestimmten HTML-Bereich für die Suche definieren.
   Beispiele: body, main oder article.
   Leer lassen wenn diese Option nicht verwendet werden soll. */
  $suche_in_bereich = "article";

/* META-Tags, wenn diese vorhanden sind, anzeigen (ja/nein).
   Z. B. der Inhalt vom 'content'-Attribut: <meta name="description" content="Beschreibung der Seite."> */
  $metatags_anzeigen = "ja"; // nein

/* META-Tags durchsuchen (ja/nein) */
  $metatags_durchsuchen = "ja"; // nein

/* Diese META-Tags durchsuchen */
  $metatags_attribute = [
    "description",
    // "keywords",
    // "author",
    // "date",
    // "title",
  ];

/*  Zeitzone setzen (siehe: http://php.net/manual/de/timezones.europe.php) */
  date_default_timezone_set("Europe/Berlin");

/* PHP-Fehlermeldungen anzeigen (0/E_ALL) */
  error_reporting(0); // 0

  $datenliste = "";
  if (
     $sucheingabe_speichern == "ja" &&
     $datenliste_anzeigen == "ja" &&
     file_exists($suchdatei)
     )
  {
     $datenliste = [];
     foreach (file($suchdatei, FILE_SKIP_EMPTY_LINES | FILE_IGNORE_NEW_LINES) as $element)
     {
       list($datum, $begriff, $anzahl) = explode('|', $element);
       if ($anzahl > 0)  { $datenliste[] = $begriff; }
     }
     sort($datenliste);
     $datenliste = '<datalist id="liste"><option>' . implode('<option>', array_unique($datenliste)) . '</datalist>';
  }

  // Formular anzeigen
  // gtho 30.04.2022: ohne minlength="3" maxlength="40" / input-submit umgestellt auf button:
  echo '<form method="get" action="#Form" id="Form" name="formular">
  <input type="search" name="suchbegriff" placeholder="Suchbegriff eingeben" value="' .
    (isset($_GET["suchbegriff"]) ? htmlspecialchars($_GET["suchbegriff"], ENT_HTML5, 'UTF-8') : '') .
    '" size="35"' . ' list="liste" required="required" spellcheck="true"> ' . $datenliste . '
  <button type="submit" name="suche">suchen</button>
  </form>
  ';

  $suchergebnisse = [];
  $gefunden = 0;
  $anzahl_dateien = 0;
  $hyperlink = "";
  $startzeit = microtime(true);
  $url = 'http' . (isset($_SERVER["HTTPS"]) && $_SERVER["HTTPS"] == 'on' ? 's' : '') . '://'
    . $_SERVER["HTTP_HOST"] . dirname($_SERVER["SCRIPT_NAME"]);
  array_push($nicht_durchsuchen, basename($_SERVER["SCRIPT_NAME"]));

  if (
     isset($_GET["suche"]) ||
     isset($_GET["suchbegriff"])
     )
  {
     $_GET["suchbegriff"] = rawurldecode($_GET["suchbegriff"]);
     $_GET["suchbegriff"] = str_replace([',', '.', ':', ';', '!', '?', '"', "'", "\t"], '', preg_replace('/\s\s+/', ' ', trim($_GET["suchbegriff"])));
     $_GET["suchbegriff"] = str_ireplace($ausschluss_eingaben, "", $_GET["suchbegriff"]);
     $_GET["suchbegriff"] = $html_eingabe != "nein" ? htmlspecialchars($_GET["suchbegriff"], ENT_HTML5, 'UTF-8') : strip_tags($_GET["suchbegriff"]);

     if (
        mb_strlen($_GET["suchbegriff"]) >= $suchbegriff_min &&
        mb_strlen($_GET["suchbegriff"]) <= $suchbegriff_max
        )
     {
        foreach ($verzeichnisse as $verzeichnis)
        {
           foreach ($dateiendungen as $dateiendung)
           {
              foreach (glob($verzeichnis . "*" . $dateiendung) as $datei)
              {
                 $dateiname = basename($datei);

                 if (
                     $dateiname[0] != $vorzeichen &&
                     !in_array($dateiname, $nicht_durchsuchen)
                    )
                 {
                    $text = (!in_array($dateiendung, $_dateiendungen)) ? file_get_contents($datei) : mb_substr(strtoupper($dateiendung), 1) . '-Datei';
                    preg_match('/<title>(.*?)<\/title>/is', $text, $treffer);
                    $titel = isset($treffer[1]) ? $treffer[1] : $dateiname;
                    unset($treffer[1]);
                    $anzahl_dateien++;

                    // $meta = ($metatags_anzeigen == "ja" && count(get_meta_tags($datei)) > 0) ? '<br><cite>&#10151; ' . implode(' &#10151; ', get_meta_tags($datei)) . '</cite>' : '';
                    // gtho 03.06.2022: nicht alle Meta-Elemente ausgeben, sondern nur die Beschreibung:
                    $metatag_array = get_meta_tags($datei);
                    $meta = ($metatags_anzeigen == "ja" && count(get_meta_tags($datei)) > 0) ? '<br><cite> &#10151; ' . $metatag_array['description'] . '</cite>' : '';

                    if ($metatags_durchsuchen == "ja" && get_meta_tags($datei))
                    {
                       $metatag_array = get_meta_tags($datei);

                       foreach ($metatags_attribute as $attribut)
                       {
                          if (isset($metatag_array[$attribut]))
                             $text .= ' [' . $attribut . ': ' . $metatag_array[$attribut] . ']';
                       }
                    }

                    $text = strtr($text, $entfernung_zeichen);

                    if (!empty($suche_in_bereich))
                    {
                       preg_match('/<' . $suche_in_bereich . '>(.*?)<\/' . $suche_in_bereich . '>/Usi', $text, $bereich);
                       $text = isset($bereich[1]) ? $bereich[1] : '';
                    }

                    foreach ($entfernung_inhalt as $htmltag)
                    {
                       $text = preg_replace('/\<' . $htmltag . '\>(.*)\<\/' . $htmltag . '\>/Usi', '', $text);
                    }

                    $text = $html_quellcode != "nein" ? htmlspecialchars($text, ENT_HTML5, 'UTF-8') : strip_tags($text);
                    $text = strtr($text, [
                        "&auml;" => "ä", "&ouml;" => "ö", "&uuml;" => "ü", "&Auml;" => "Ä", "&Ouml;" => "Ö", "&Uuml;" => "Ü", "&szlig;" => "ß",
                        "\r" => " ", "\n" => " ", "\t" => " ", "   " => " ", "  " => " "
                       ]);
                    $preg = explode(" ", $_GET["suchbegriff"]);

                    if (strstr($_GET["suchbegriff"], "-")) $preg = explode("-", $_GET["suchbegriff"]);
                    $pregCount = count($preg);
                    $preg = implode(".*?|", $preg);

                    if ((mb_strstr($text, $_GET["suchbegriff"]) or
                         mb_stristr($text, $_GET["suchbegriff"]) or
                         mb_stristr($text, mb_strtolower($_GET["suchbegriff"])) or
                         mb_stristr($dateiname, $_GET["suchbegriff"]) or
                         preg_match("/" . $preg . "/is", $text)) &&
                        $gefunden <= $suchergebnisse_max
                       )
                    {
                       $gefunden++;
                       $hyperlink = $datei;

                       $start = mb_strpos(mb_strtolower($text), mb_strtolower($_GET["suchbegriff"])) - $textausschnitt;
                       if ($start < 0) $start = 0;
                       $ende = mb_strlen($_GET["suchbegriff"]) + $textausschnitt * 2;
                       $textteil = mb_substr($text, $start, $ende);
                       $textteil = (mb_strlen($textteil) < $textausschnitt ? mb_substr($text, mb_strpos($text, $_GET["suchbegriff"]), $textausschnitt) : $textteil);
                       $treffer = mb_substr_count(mb_strtolower($text), mb_strtolower($_GET["suchbegriff"]));
                       $worte = preg_split('/[\s]+/', $_GET["suchbegriff"]);

                       foreach ($worte as $wort)
                       {
                          $textteil = preg_replace('/(' . $wort . ')/i', "<mark>$1</mark>", $textteil);
                          $titel = preg_replace('/(' . $wort . ')/i', "<mark>$1</mark>", $titel);
                       }

                       $suchergebnisse[($sortierung_dateiaenderung == "ja" ? date("Y-m-d h:i:s", filemtime($datei)) : sprintf("%02s", $treffer) . sprintf("%02s", $gefunden))] =
                         // gtho 27.04.2022: ohne Abfrage $datei_info, nur Abfrage $pfad_info ,
                         // gtho 02.06.2022: Ausgabe von ltrim($datei, ".") statt bisher $datei :
                         '<li><a href="' . $datei . ($treffer_hervorheben == "ja" ? '#:~:text=' . $_GET["suchbegriff"] : '') . '" target="' . $target . '">' . $titel . '</a> <small>(' . ($treffer == 0 ? 1 : $treffer) . 'x)</small>' . $meta . '<br><samp>&hellip; ' . $textteil . ' &hellip;</samp>' .
 ($pfad_info == "ja" ? '<br><var>' . $url . ltrim($datei, ".") . ' (' . number_format((filesize($datei) / 1024), 1, ",", ".") . ' KB)'  . '</var>' : '') .
                         '</li>';
                    }
                 }
              }
           }
        }

        // Ergebnisse nach Anzahl der Treffer oder der letzten Dateiänderung sortieren
        krsort($suchergebnisse);
        $suchergebnisse = implode($suchergebnisse);

        // Ergebnis der Suche speichern
        if ($sucheingabe_speichern == "ja")
        {
           $fh = fopen($suchdatei, "a+");
           fputs($fh, date("d.m.Y H:i") . '|' . htmlspecialchars($_GET["suchbegriff"], ENT_HTML5, 'UTF-8') .  '|' . $gefunden . "\n");
           fclose($fh);
        }

        // Keine Übereinstimmungen gefunden
        if ($gefunden == 0)
        {
           echo '<p>Es wurden keine Übereinstimmungen mit dem eingegebenen Suchbegriff gefunden.</p>';

           // Tipps anzeigen
           if ($tipps_anzeigen == "ja")
           {
              echo '<p>Tipp: Beachten Sie die Rechtschreibung';

              if (strtolower($_GET["suchbegriff"]) != $_GET["suchbegriff"])
              { echo ', verwenden Sie nur Kleinbuchstaben'; }

              if (isset($pregCount) && $pregCount > 1)
              { echo ' oder verwenden Sie einen einzelnen Suchbegriff'; }
              echo '!</p>';
              // gtho 29.04.2022: Fußzeile bei leerer Seite "nach unten" schieben: 
              {echo '<br><br><br><br><br><br>';}
           }
        }
        else
        {
           // Automatische Weiterleitung
           if ($auto_weiterleitung == "ja" && $gefunden == 1)
           {
              exit('<h4>Datei wird geladen ...</h4>
                <p><a href="' . $hyperlink . '">Gefundene Datei anzeigen</a></p>
                <script>window.location.href="' . $hyperlink . '";</script>
                <meta http-equiv="refresh" content="0; URL=' . $hyperlink . '">');
           }
           
           // Ausgabe der Suchergebnisse
           // gtho 28.04.2022: Ausgabe der 1. Zeile geändert: 
           echo '<p>Der Suchbegriff wurde auf ' . $gefunden . ($gefunden == 1 ? ' Seite ': ' Seiten') . ' gefunden:</p>' . '<ol>' . $suchergebnisse . '</ol>';
        }

        // Datei-Info anzeigen
        if ($status_info == "ja")
        {
           // gtho 28.04.2022: Ausgabe Datei-Info geändert: 
           printf('<p>Durchsucht wurden ' . $anzahl_dateien . ' Seiten in %.2f Sekunden.</p>', microtime(true) - $startzeit);
        }

        if ($gefunden == 1)
        {
           // gtho 29.04.2022: Fußzeile bei leerer Seite "nach unten" schieben: 
           echo '<br><br>';
        }
     }
     else // Länge des Suchbegriffs zu kurz/zu lang
     {
        // gtho 30.04.2022: Text der Fehlermeldungen geändert:
        echo '<p>Bitte als Suchbegriff ' . (mb_strlen($_GET["suchbegriff"]) < $suchbegriff_min ?
            'mindestens ' . $suchbegriff_min : 'höchstens ' . $suchbegriff_max) . ' Zeichen eintragen!</p>';
        // gtho 29.04.2022: Fußzeile bei leerer Seite "nach unten" schieben: 
        echo '<br><br><br><br><br><br><br><br><br>';
     } 
  }
  else // gtho 29.04.2022: Fußzeile bei leerer Seite "nach unten" schieben: 
  {
     echo '<br><br><br><br><br><br><br>';
  }
?>

  <p class="randoben">Dieses PHP-Suchmaschinen-Script läuft <i>auf meinem eigenen Server</i> und durchsucht die eigenen Webseiten. Vielen Dank an Werner Zenk für Entwicklung und Veröffentlichung des Scripts unter der Lizenz GNU GPL und an Gösta Thomas für die erforderlichen Anpassungen an die Webseiten-Vorlage.</p>
  <p style="padding:.5em;border:.5em dashed #DF0066;">Sie können das Suchmaschinen-Script entsprechend Ihren Wünschen anpassen, indem Sie die Konfigurations-Einstellungen in den Zeilen 57 bis 211 ändern. Legen Sie vor Änderungen am Besten eine Sicherung an.<br><br><span class="gelb">Löschen Sie diesen rot umstrichelten Absatz nach Kenntnisnahme und vor dem Hochladen des Scripts auf Ihren Prod-Server.</span></p>

  <div class="blaettern">
    <div class="links">&laquo; <a href="./1300-sterne-bewertungen.php" title="zur vorigen Seite">vorige Seite</a></div>
    <div class="rechts"><a href="./impressum.php" title="zur nächsten Seite">nächste Seite</a> &raquo;</div>
    <div class="mittig">&nbsp;</div>
  </div>

</article>

<div class="hnav" id="menu">
  <a href="#" title="Menü ausblenden" tabindex="-1">
    <span class="menue">Menü</span><span class="grossx">X</span>
  </a>
</div>

<nav id="navig">
<?php readfile('./x-includes/menue.inc'); ?>
</nav>

<div id="pfoben">
<?php readfile('./x-includes/pfoben.inc'); ?>
</div>

</main>

<footer>
<?php include('./x-includes/fuss.inc'); ?>
</footer>

</body>
</html>